2004-07-13 06:12  tshead

	* * Fix: set integer step increment for viewport point_size
	  property

2004-07-12 12:22  romainbehar

	* Added full library list for freetype2 Makefile, required to build
	  under Win32

2004-07-10 03:23  tshead

	* * FreeType2 detection works with-or-without pkg-config

2004-07-09 12:23  romainbehar

	* Fixed ligsigc++ 2.0 back-porting, fixed Win32 compilation of tiff
	  and freetype2 libraries

2004-07-08 03:30  tshead

	* * Renamed k3d::imaterial_collection to k3d::imaterial_client
	  because it has never been and will likely never be an actual
	  collection * Renamed k3d::material_collection to
	  k3d::material_client to match

2004-07-08 02:44  tshead

	* * Code cleanup

2004-07-08 01:19  tshead

	* * Started moving property_button::control to NGUI * Beaucoup code
	  cleanup

2004-07-07 10:44  tshead

	* * Code cleanup

2004-07-07 10:36  tshead

	* * Ported combo_box::control and finished object_chooser::control

2004-07-06 21:17  tshead

	* * Fix: sigc++ version flags are stored in K3D_SIGC_CFLAGS so they
	  are propagated down to k3d-config

2004-07-06 13:22  romainbehar

	* Back-ported libsigc++ 2.0 support from CVS head

2004-07-03 10:23  tshead

	* * Code cleanup

2004-07-02 14:59  romainbehar

	* PolyCube now has adjustable rows columns and slices

2004-07-01 11:35  romainbehar

	* Removed hard-coded values for Win32 platform (Tiff and FreeType
	  libraries)

2004-07-01 10:31  romainbehar

	* Enabled qslim plugin compilation

2004-07-01 10:30  romainbehar

	* Added MinGW compiler support, removed libsigc++ hard-coded values
	  for the Win32 platform

2004-07-01 07:43  tshead

	* * Fixed some areas where boost::filesystem::path wasn't
	  initialized properly with boost::filesystem::native

2004-06-29 18:23  romainbehar

	* Removed QSlim debug messages, and tagged plugin as STABLE

2004-06-29 09:52  romainbehar

	* Added Michael Garland as author of QSlim decimation library

2004-06-29 09:50  romainbehar

	* QSlim decimation now working

2004-06-29 09:11  tshead

	* * Added bitmap_preview::control and file_chooser::control to NGUI
	  * Much interactive code cleanup

2004-06-28 20:35  tshead

	* * Further split k3d::istill_render_engine into
	  k3d::ipreview_render_engine * Ongoing NGUI stuff

2004-06-26 21:07  tshead

	* * Finished tutorial-enabling color_chooser::control

2004-06-25 17:04  romainbehar

	* Non yet working QSlim decimation

2004-06-24 12:57  romainbehar

	* Fixed POV engine camera export

2004-06-24 10:11  tshead

	* * Began work on spin_button::control * Collapsible frames in
	  object properties panel

2004-06-24 07:04  tshead

	* * Code cleanup

2004-06-23 17:04  romainbehar

	* POV engine now exports coloured polygons

2004-06-23 16:33  romainbehar

	* k3d::triangulate transmits face parameters to child triangles

2004-06-22 07:35  tshead

	* * Odds-and-ends

2004-06-18 20:47  tshead

	* * Fix: viewport updates broke lighting

2004-06-18 08:08  tshead

	* * Updated viewport / host model so that viewports are drawn using
	  all available screen area

2004-06-18 02:41  tshead

	* * I18N

2004-06-17 20:48  tshead

	* * Removed obsolete libraries / headers from k3d-config

2004-06-17 19:51  tshead

	* * I18N

2004-06-17 10:40  tshead

	* * I18N

2004-06-17 10:09  tshead

	* * I18N

2004-06-17 00:30  tshead

	* * Use the correct path for our locale message catalogs

2004-06-17 00:09  tshead

	* * I18N

2004-06-16 19:30  tshead

	* * More sdpgl cleanup * More L10N learning

2004-06-16 19:18  tshead

	* * Some more sdpgl cleanup * Tim's L10N experiment ;)

2004-06-16 14:28  romainbehar

	* Added support for POV-Ray and POVMan in user_options

2004-06-16 14:17  romainbehar

	* New POV-Ray rendering engine

2004-06-16 11:02  romainbehar

	* Restored thrashed sources :(

2004-06-16 07:11  tshead

	* * Missing k3dsdk GL files ... doh!

2004-06-16 00:03  tshead

	* * Merged sdpgl into k3dsdk

2004-06-15 18:39  tshead

	* * User reference version up-to-date

2004-06-15 03:10  tshead

	* * Merged changes from 0.4.0.0 - 0.4.1.0 into the 0.5 tree

2004-06-14 16:13  romainbehar

	* New: basic POV rendering engine

2004-06-14 11:16  romainbehar

	* Turned k3d-uuidgen.in to use bash, script's real language

2004-06-12 00:08  tshead

	* * Cygwin build fixes, using packaged cygwin freetype library

2004-06-11 12:21  romainbehar

	* Set sphere_eversion default to much nicer Bezier

2004-06-10 09:23  romainbehar

	* K-3D 0.4.1.0

2004-06-09 15:55  romainbehar

	* Fixed typo, set tabbed indentation

2004-06-07 17:34  romainbehar

	* Restored LSystem mutation function

2004-06-07 16:24  romainbehar

	* Experimental Bezier patches Sphere Eversion

2004-06-07 12:07  romainbehar

	* Removed assigned color to shpere eversion

2004-06-06 23:50  tshead

	* * Usability fix: DAG control doesn't scroll back to the top every
	  time something in the document changes

2004-06-06 10:24  tshead

	* * Fix: Bug 966683 - improved support for loading legacy
	  documents, including animation

2004-06-05 19:04  romainbehar

	* Add RiPolygon support

2004-06-05 17:52  romainbehar

	* Added FilterFacesByColor plugin

2004-06-05 14:00  romainbehar

	* Removed deprecated file

2004-06-05 08:14  tshead

	* * More cygwin build stuff

2004-06-04 21:18  tshead

	* * Fixes build problem introduced by cygwin build

2004-06-04 17:52  romainbehar

	* Fixed cylindrical connection and set as it default

2004-06-04 12:22  romainbehar

	* LParser code cleanup

2004-06-04 11:28  tshead

	* * Cygwin build fixes - almost there

2004-06-03 15:33  romainbehar

	* Added basic Yafray importer

2004-06-03 08:19  tshead

	* * Got rid of some amazingly out-of-date build instructions ...

2004-06-02 15:35  romainbehar

	* L_parser improvements (bounding-box normalization, bug fixes,
	  more controls, code cleanup)

2004-06-02 09:39  romainbehar

	* Removed duplicate

2004-06-01 19:41  tshead

	* * Moved documentation to $datadir/doc/k3d

2004-06-01 15:48  romainbehar

	* Added Ender as author of Debian packages

2004-06-01 14:58  romainbehar

	* Fixed typos

2004-06-01 14:23  romainbehar

	* Added l_parser sample files and doumentation

2004-06-01 14:17  romainbehar

	* L-parser now loads default recursion value

2004-05-31 17:28  romainbehar

	* Zeroed global variables on new LSystem generation, added controls

2004-05-30 11:45  tshead

	* * Code cleanup

2004-05-30 11:20  tshead

	* * Code cleanup

2004-05-30 11:02  tshead

	* * Implemented black box recorder * Code cleanup

2004-05-30 03:36  tshead

	* * Code cleanup

2004-05-29 01:54  tshead

	* * Fix: expat XML backend incorrectly skipped parsing attributes
	  in a root element * Fix: leftover build flag references to
	  libxml2

2004-05-28 21:44  tshead

	* * Fix: mesh module Makefile does not explicitly include OpenGL /
	  OpenGLU flags in compiler command-line

2004-05-28 17:19  romainbehar

	* New highly experimental LSystem plugin

2004-05-28 02:37  tshead

	* * Scriptable hide/show capability for UI components * Code
	  cleanup

2004-05-27 23:20  tshead

	* * Added support for using expat as the preferred XML parser (it
	  provides better error output)

2004-05-27 10:40  tshead

	* * Tutorial recorder work, better SL parser error output

2004-05-26 10:46  tshead

	* * Created standard window widget * Began work on tutorial
	  recorder

2004-05-26 06:35  tshead

	* * Build fixes for gtkmm 2.0/2.2

2004-05-25 08:16  tshead

	* * Code cleanup

2004-05-25 08:15  tshead

	* * Implemented NGUI command node inspector

2004-05-25 05:55  tshead

	* * Code cleanup

2004-05-25 05:36  tshead

	* * Code cleanup

2004-05-25 04:50  tshead

	* * NGUI viewport back rendering * Code cleanup

2004-05-24 20:41  tshead

	* * Introduced gtkglext dependency into the mix, for OpenGL support

2004-05-24 16:46  romainbehar

	* Added normal to blobby polygonization meshes, fixed a bug that
	  drew blobby surfaces several times, improved surface polygonizer

2004-05-23 11:14  tshead

	* * Code cleanup

2004-05-20 21:22  blackburst

	* Added .cvsignore files

2004-05-20 06:55  tshead

	* * Viewport rendering handles facevarying normals

2004-05-20 05:53  tshead

	* * Store per-polygon color using "Cs"

2004-05-19 20:15  tshead

	* * Moved scripts & shaders to the share directory

2004-05-19 16:14  romainbehar

	* Added vertex normal (N) and polygon color (facecol) support to
	  viewport and RenderMan output

2004-05-19 09:59  tshead

	* * Created image_toggle_button control * Began work on panels &
	  frames * gtkmm-2.4 build fixes

2004-05-18 19:18  tshead

	* * Moved tutorials directory to share/tutorials

2004-05-18 18:31  romainbehar

	* Created experimental sphere eversion plugin

2004-05-18 11:59  blackburst

	* share/tutorials directory removed since moved

2004-05-18 11:56  blackburst

	* Tutorials moved, but not in the configure.ac

2004-05-18 08:04  tshead

	* * Updated configuration for gtkmm / sigc++ * Added
	  check_menu_item::control

2004-05-18 03:17  tshead

	* * Removed sdptypes, sdpxml, and sdpgtk from K-3D 0.5 :)

2004-05-18 00:43  tshead

	* * 0.5 build fixes, i18n

2004-05-17 23:16  blackburst

	* Reverted

2004-05-17 18:03  tshead

	* * Workaround for missing xmlCtxtGetLastError() ?

2004-05-17 11:56  blackburst

	* Added missing Makefile.am

2004-05-17 11:15  blackburst

	* Removed references to non-existent tutorial makefiles

2004-05-17 07:06  tshead

	* * Switching to GNU gettext for i18n

2004-05-17 06:58  tshead

	* * Moved Shading Language (sdpsl) functionality into k3dsdk

2004-05-17 06:54  tshead

	* * Moved XML functionality into k3dsdk * Using libxml2 for XML
	  parsing back-end * Moved Shading Language functionality into
	  k3dsdk * Began work on Next Generation User Interface (NGUI)
	  using gtkmm2 * Began I18N work using GNU gettext * User
	  interfaces are now plugins

2004-05-17 01:00  tshead

	* * K-3D 0.4.0.0 !!!

2004-05-11 08:17  tshead

	* * K-3D 0.3.9.11 (K-3D 0.4 rc6)

2004-05-10 23:01  tshead

	* * Fix: many plugin properties were not undo-enabled * New:
	  SplitEdges and SplitFaces filters

2004-05-10 06:38  romainbehar

	* Resurrected BulgePoints tool

2004-05-10 01:37  romainbehar

	* Restored colors (based on side number) to the Polyhedron
	  primitive

2004-05-05 22:30  tshead

	* * K-3D 0.3.9.10 (K-3D 0.4 rc5)

2004-05-05 22:29  tshead

	* * Created ExtrudeFaces filter, which does what it says * Created
	  MakeBilinearPatches filter, which converts input quad polygons to
	  output bilinear patches * Created MeshStats filter, which
	  computes basic statistics about its input * Created MoveFirstEdge
	  filter, which changes the first edge for input polygons * Created
	  SelectFaceByNumber filter, which selects an input face by index
	  number

2004-05-05 22:27  tshead

	* * Fix: GTSBoolean filter assigns a material to its output,
	  because there's just no way to pick one from the inputs in a
	  meaningful way

2004-05-05 17:04  tshead

	* * k3d::spin_button adjusts its behavior and appearance for
	  read-only properties

2004-05-05 17:03  tshead

	* * Created slmeta file for k3d_shadowspot shader * k3d_shadowspot
	  shader correctly specifies "shader" space for the "from" and "to"
	  parameters

2004-05-05 08:01  romainbehar

	* Fix: Y cursor value was lost when entering a new X value in Color
	  Bezier Channel dialog

2004-05-05 04:29  romainbehar

	* Ooops! Removed forgotten debug message

2004-05-05 04:24  romainbehar

	* Fix: Y value was lost when entering a new X value for the cursor
	  in Scalar Bezier Channel

2004-05-04 07:40  romainbehar

	* Fixed EdgesToBlobby crash

2004-05-03 10:48  tshead

	* * K-3D 0.3.9.9 (K-3D 0.4 rc4)

2004-05-03 09:11  romainbehar

	* Python example script update to show new k3d::polyhedron and
	  k3d::face support

2004-05-03 08:58  romainbehar

	* Eliminated compilation and runtime warnings

2004-05-03 07:06  romainbehar

	* Added k3d::polyhedron and k3d::face support to the Python engine

2004-05-02 23:14  tshead

	* * Fix: segfault undoing a shader selection

2004-05-02 13:51  tshead

	* * Fix: Viewport previews of conic plugins had their normals
	  reversed * Fix: Couldn't select conic plugins from their
	  interiors * Fix: Shading discontinuity at tip of Paraboloid
	  preview

2004-05-02 01:30  blackburst

	* Removed AnimationScript documentation

2004-05-02 01:23  blackburst

	* Updated to same as website copy

2004-05-02 01:13  tshead

	* * Added regression test for bug 946289

2004-05-02 01:06  tshead

	* * Fix: Incorrect normals / orientations for NurbsCone,
	  NurbsCylinder, and NurbsDisk plugins * Update: NurbsSphere zmin
	  and zmax parameters default to -1 and +1, respectively

2004-05-01 23:14  tshead

	* * Added k3d-makempeg script

2004-05-01 19:02  tshead

	* * Doh!  The NurbsGrid plugin was still generating test data

2004-04-30 22:46  tshead

	* * K-3D 0.3.9.8 (K-3D 0.4 rc3)

2004-04-30 17:50  tshead

	* * Yet another documentation tweak

2004-04-30 15:30  tshead

	* * .cvsignore update

2004-04-30 15:25  tshead

	* * Yet another documentation build update

2004-04-30 14:38  tshead

	* * Build fix: strange symbol name clash on "Complex"

2004-04-30 14:18  tshead

	* * Build fix

2004-04-30 14:17  tshead

	* * Fix: OSX build problem

2004-04-30 12:24  blackburst

	* Fixed warning

2004-04-30 07:12  romainbehar

	* Updated packaging scripts for next release

2004-04-30 06:26  romainbehar

	* Disabled Ayam reader

2004-04-30 06:22  romainbehar

	* Code cleanup

2004-04-30 04:46  romainbehar

	* Added missing ibitmap_sink.h and ibitmap_source.h in headers list

2004-04-30 01:40  romainbehar

	* Update SDPGL to support the Win32 platform

2004-04-30 01:08  romainbehar

	* Add gmtime_r equivalent for the Win32 platform

2004-04-30 01:03  romainbehar

	* Added plugin support for the Win32 platform

2004-04-29 22:19  tshead

	* * Updated AUTHORS

2004-04-29 22:13  tshead

	* * Created some icons for the Win32 build

2004-04-29 09:26  tshead

	* * Updated verbiage to emphasize "free-as-freedom" over "open
	  source"

2004-04-29 00:48  tshead

	* * Update: Removed obsolete AnimationScript plugin * Update:
	  Adjusted STABLE/EXPERIMENTAL status for all plugins * Update:
	  ScalarMultiply filter defaults to a value of 1.0 for its second
	  input

2004-04-27 23:02  tshead

	* * RenderMan imager shader is specified before the World block

2004-04-27 07:44  romainbehar

	* Python version no longer hard-coded

2004-04-25 22:16  tshead

	* * Fix: Startup script portability to Solaris

2004-04-25 20:00  tshead

	* * K-3D 0.3.9.7 (K-3D 0.4 rc2)

2004-04-25 17:53  tshead

	* * Cleaned-up sample scripts directory, removed obsolete scripts

2004-04-25 17:51  tshead

	* * Fix: Python engine can build against python2.2 (where
	  PyRun_SimpleString() is not const-correct)

2004-04-25 17:49  tshead

	* * Fix: segfault assigning a NULL property dependency from
	  JavaScript

2004-04-25 15:54  tshead

	* * Fix: Removed the --with-gtk2 option from configure since the
	  GTK2 build is unusable, and this was misleading packagers

2004-04-25 15:34  tshead

	* * Fix: removed unused const member variable from RIB reader *
	  Fix: eliminated warnings in RIB reader

2004-04-25 15:16  tshead

	* * Copyright notice updates * Applied patch 941729 submitted by
	  Bart J.

2004-04-25 11:21  tshead

	* * Update: Copyright notices.	* Renamed renderjob and renderframe
	  binaries to k3d-renderjob and k3d-renderframe, respectively

2004-04-24 12:14  tshead

	* * K-3D 0.3.9.6 (0.4 rc1)

2004-04-24 12:11  tshead

	* * Update: libsigc++ 1.0 is once again the preferred
	  implementation

2004-04-23 20:43  tshead

	* * Update: Tutorials end with consistent behavior

2004-04-23 09:21  tshead

	* * New: Recorded Boolean Mesh Modeling tutorial and integrated it
	  into the test suite

2004-04-23 09:19  tshead

	* * Fix: Tutorial-enabled playback controls * Fix: Additional error
	  output for tutorial menu parsing

2004-04-23 04:37  romainbehar

	* Moved Python interface to a text file in share/python_engine
	  directory

2004-04-23 02:30  romainbehar

	* Fixed RenderMan blobby output for Sub and Div operators

2004-04-23 02:27  romainbehar

	* Added BlobbySub and BlobbyDiv operators, fixed blobbies
	  polygonization, tagged all blobby plugins as stable

2004-04-23 00:37  tshead

	* * New: Recorded procedural modeling tutorial and integrated it
	  into the test suite

2004-04-22 21:36  tshead

	* * New: startup script sets PATH so renderjob & renderframe work
	  even if PATH doesn't include $prefix/bin

2004-04-22 18:11  tshead

	* * Doh!  Doh!

2004-04-22 10:11  tshead

	* * Doh!

2004-04-22 00:36  tshead

	* * New: Recorded selection tutorial and added it to the test suite

2004-04-22 00:33  tshead

	* * Fix: Removed expected is_solid() warning from PolyCushion

2004-04-21 21:40  tshead

	* * Fix: Completely disabled lasso-selection

2004-04-21 11:52  tshead

	* * K-3D version 0.3.9.5

2004-04-21 11:49  tshead

	* * K-3D version 0.3.9.5

2004-04-21 10:44  tshead

	* * Test suite cleanup

2004-04-21 08:41  romainbehar

	* Removed deprecated Teapot Into Pieces option, code clean-up

2004-04-21 08:14  romainbehar

	* Made blobby opcodes selectable

2004-04-21 08:10  romainbehar

	* Made blobby opcodes selectable

2004-04-21 08:01  romainbehar

	* Created Polygonize Bicubic Patches plugin

2004-04-20 23:55  tshead

	* * Fix: Bug 906371 - Current DAG tools allow infinite loops

2004-04-20 20:18  tshead

	* * Fix: viewport window was not updated correctly if the viewport
	  host changed

2004-04-20 20:00  tshead

	* * Added an overload to k3d::normal that handles edge loops

2004-04-20 05:33  romainbehar

	* Updated PLIB reader

2004-04-20 03:37  romainbehar

	* Added simple adaptative voxel size for Blobby preview

2004-04-20 03:35  romainbehar

	* Added position and scale parameters for BlobbyEllipsoid, segment
	  position for BlobbySegment

2004-04-20 01:34  romainbehar

	* Fixed typo

2004-04-20 00:45  tshead

	* * New: SmoothShade filter for assigning averaged normals to
	  polygons to simulate a smooth surface

2004-04-19 19:11  tshead

	* * Update: added new tutorials to regression test suite

2004-04-19 10:13  tshead

	* * Fix: Tutorial-enabled color chooser "pick color" dialog

2004-04-19 09:30  tshead

	* * Update: Better default values for PolyGrid filter

2004-04-19 09:29  tshead

	* * Added: Radius property to PointsToBlobby filter

2004-04-19 09:28  tshead

	* * Fix: MeshInstance did not update display when color was changed

2004-04-19 09:26  tshead

	* * Fix: Viewport two-sided drawing was (incorrectly) controlled by
	  the show orientation flag (cut n' paste error!)

2004-04-19 09:24  tshead

	* * New: Recorded visualization tutorial

2004-04-19 07:21  romainbehar

	* Fixed Blobby color rendering

2004-04-19 06:39  romainbehar

	* Set default material for polyhedra and nupatches

2004-04-19 05:41  romainbehar

	* Added experimental bspline object support

2004-04-19 03:24  romainbehar

	* Script demonstrating new Python point class

2004-04-19 03:22  romainbehar

	* Added mesh points class

2004-04-19 00:27  tshead

	* * Code cleanup

2004-04-18 22:50  tshead

	* * Created k3d::replace_all() function for doing string
	  substitution * JavaScript and Python engines escape their
	  arguments so tutorial messages with quotes are recorded properly

2004-04-18 22:46  tshead

	* * Created viewport_navigation tutorial

2004-04-18 14:18  tshead

	* * K-3D 0.3.9.4

2004-04-18 12:05  tshead

	* * Fix: Bug 927075 and Bug 926505, intermittent segfaults closing
	  documents

2004-04-18 01:26  tshead

	* * Fix: building in a separate directory

2004-04-16 10:24  tshead

	* * Fix: k3d::deep_copy() was not properly copying polyhedron
	  parameters and tags

2004-04-16 08:31  romainbehar

	* Fixed the CantImportRIBMoreThanOnce bug

2004-04-16 03:38  romainbehar

	* Added blobbies color

2004-04-16 03:34  romainbehar

	* Attempt to output Blobbies color

2004-04-16 02:40  romainbehar

	* Added set_color method for blobbies

2004-04-16 02:07  romainbehar

	* Fixed transformations for Blobbies

2004-04-16 01:29  romainbehar

	* Added color to Blobby Ellipsoid and Segment, fixed
	  PolygonizeBlobbies, added surface preview toggle in MeshInstance

2004-04-15 22:51  tshead

	* * Put the subdivision algorithm debug messages in a macro so they
	  can be disabled wholesale for performance

2004-04-15 08:39  romainbehar

	* Blobby preview now based on blobby bounding box

2004-04-15 07:02  romainbehar

	* Python engine now implements all the blobby API

2004-04-15 06:58  romainbehar

	* Python engine now implements all the blobby API

2004-04-15 03:38  romainbehar

	* Fixed segment radius

2004-04-15 01:25  tshead

	* * Merged SDS MeshInstance preview code and SDS tutorial by Bart
	  Janssens

2004-04-15 00:50  tshead

	* * Added tag support to primitives, including
	  "interpolateboundary", "hole", "corner", and "crease" tags for
	  SDS surfaces

2004-04-15 00:45  tshead

	* * Added SDS "interpolateboundary" tag to MakeSDS filter * Created
	  SDSCorner and SDSCrease filters

2004-04-14 14:34  tshead

	* * Renamed k3d::tags_t to k3d::parameters_t for clarity,
	  consistency with the RiSpec

2004-04-14 08:13  romainbehar

	* Added experimental mesh+blobby support to Python scripting engine

2004-04-14 08:08  romainbehar

	* Added experimental mesh+blobby support to Python scripting engine

2004-04-14 02:15  tshead

	* * BevelFaces filter bevels polygon holes

2004-04-14 01:05  tshead

	* * New: CapHole filter

2004-04-13 11:22  blackburst

	* Using k3d::file_extension instead of regex

2004-04-13 10:38  tshead

	* * Code cleanup

2004-04-13 05:28  romainbehar

	* Set implicit normals for OpenGL blobbies, fixed blobby surface
	  caching

2004-04-13 02:12  blackburst

	* Added plugins

2004-04-11 19:16  tshead

	* * K-3D 0.3.9.3

2004-04-11 15:08  tshead

	* * DeleteSelected filter handles holes

2004-04-11 15:02  blackburst

	* Updated stylesheet for the web

2004-04-11 11:07  tshead

	* * Updated k3d::face to use the same edge loops for holes as it
	  does for the face.

2004-04-11 01:20  blackburst

	* Updated CSS files and added stylesheet for website

2004-04-10 23:26  tshead

	* * Added mouse-interaction to BevelFaces filter and improved
	  interactive performance

2004-04-10 19:28  tshead

	* * Fixed broken regression test

2004-04-10 19:02  tshead

	* * Removed ibitmap_modifier, imesh_modifier, and
	  itransform_modifier interfaces - they were not needed

2004-04-09 23:38  tshead

	* * Code cleanup

2004-04-09 17:57  tshead

	* * Fix: PolyCone and PolySphere now generate topologically-solid
	  polyhedra that work with GTSBoolean * Fix: PolyCone.v_power
	  property now puts more polygonal detail where it's needed (at
	  points of high curvature)

2004-04-09 13:31  tshead

	* * Build fix - Adam Hupp (hupp@cs.wisc.edu)

2004-04-09 10:49  tshead

	* * k3d::iproperty_collection::properties() returns by reference
	  instead of by value

2004-04-09 08:33  tshead

	* * Added material and property field to k3d::blobby

2004-04-09 05:25  romainbehar

	* Cached blobbies polygonization, fixed EdgesToBlobby UI

2004-04-09 00:43  romainbehar

	* Created EdgesToBlobby plugin

2004-04-08 16:02  tshead

	* * Added "Reverse Difference" choices to RenderManCSGOperator and
	  GTSBoolean plugins, as a convenience instead of having to swap
	  property connections

2004-04-08 15:43  tshead

	* * MeshInstance.output_mesh property returns the *transformed*
	  input mesh, making it much more suitable as in input to e.g.
	  GTSBoolean or MergeMesh

2004-04-08 08:05  romainbehar

	* Partially implemented segment primitive

2004-04-08 05:15  romainbehar

	* Added triangulation to the k3d::mesh to GtsSurface conversion and
	  polygonal information storage in GTS structure for later
	  retrieval

2004-04-08 02:33  romainbehar

	* Created Polygonize Blobbies plugin, fixed PolyTerrainHfBm

2004-04-07 13:01  tshead

	* * Created experimental k3d::is_circular() function to detect
	  circular dependencies in the DAG

2004-04-07 12:30  tshead

	* * Fix: forgot to restore "Connect Properties" tool
	  tutorial-functionality

2004-04-07 00:59  romainbehar

	* Resurrected RAW writer

2004-04-06 17:22  tshead

	* * property_button::control updates

2004-04-06 15:45  tshead

	* * All object properties now get a property_button::control in an
	  ADG-generated dialog * property_button::control adds a context
	  menu with items for creating, modifying, and removing connections
	  to other objects

2004-04-06 05:11  romainbehar

	* Resurrected RAW reader

2004-04-06 01:21  romainbehar

	* Added AIR engine support

2004-04-05 10:51  tshead

	* * K-3D 0.3.9.2

2004-04-05 10:24  tshead

	* * Eliminated redundant display updates in K-3D controls * Removed
	  k3dIAction, k3dAction, k3dActionRedrawAll, and related obsolete
	  code

2004-04-05 07:13  romainbehar

	* Made Blobby rendering to use the new blobby_vm

2004-04-05 05:05  romainbehar

	* Made Blobby rendering to use the new blobby_vm

2004-04-04 21:36  tshead

	* * Removed obsolete SDPGTK sample applications * More make
	  distcheck work

2004-04-04 16:52  tshead

	* * Objects created via context menu "Filter Mesh >" have unique
	  names * MeshInstance objects created via Document Window >
	  Available Plugins have better unique names * Creating a
	  MeshInstance object via Document Window > Available Plugins
	  doesn't create a connected MeshInstance

2004-04-04 13:31  tshead

	* * Fix: eliminated excessive warnings for PolyCylinder with
	  missing end-caps

2004-04-04 01:42  tshead

	* * More make distcheck work * Removed obsolete UML diagrams

2004-04-04 01:40  tshead

	* * New: GTSBoolean modeling tool - woohoo!

2004-04-03 14:42  tshead

	* * Added Visitor Design Pattern functionality to k3d::blobby for
	  walking the opcode tree * Created blobby_vm implementation *
	  Moved k3d::blobby implementations out of the header file

2004-04-02 15:46  tshead

	* * Make distcheck fixes

2004-04-02 05:36  romainbehar

	* Removed duplicate primitives in RiBlobby output, fixed matrix
	  output

2004-04-02 02:14  romainbehar

	* Fixed implicit Blobby ellipsoid formula

2004-04-01 15:46  tshead

	* * Build fixes for make distcheck

2004-04-01 11:12  tshead

	* * Updated k3d::mesh::blobby for clarity

2004-04-01 10:35  tshead

	* * Fixed typo

2004-04-01 06:39  blackburst

	* Updated ids to make nice and logical html file names

2004-04-01 06:37  blackburst

	* Let us maintain all projects CSS stylesheets in cvs for
	  simplicity

2004-04-01 06:35  blackburst

	* Use id as html file names

2004-04-01 06:33  blackburst

	* Updated ids to make nice and logical html file names

2004-04-01 03:14  romainbehar

	* Fixed Blobbies rendering

2004-04-01 03:05  romainbehar

	* Fixed Blobby matrix loader and moved the 3 translation values to
	  the position vector

2004-04-01 00:00  romainbehar

	* Removed sfx module

2004-03-31 14:47  tshead

	* * K-3D 0.3.9.1

2004-03-31 08:06  romainbehar

	* Experimental Blobby OpenGL-rendering

2004-03-30 23:28  tshead

	* * BitmapFileIn filter stores both absolute and relative (to the
	  document file) paths to a bitmap, and tries to load using the
	  relative path first at load-time * Updated log output for bitmap
	  import/export filters

2004-03-30 23:25  blackburst

	* Removed devguide Makefile

2004-03-30 15:41  tshead

	* * Documentation cleanup

2004-03-30 15:04  tshead

	* * Fixed broken Data Entry tutorial

2004-03-30 14:58  tshead

	* * Eliminated unnecessary updates in Command Node Inspector

2004-03-30 14:41  tshead

	* * Tutorial-enabled DAG control

2004-03-30 13:22  blackburst

	* Updated

2004-03-30 13:14  blackburst

	* Remove devguide

2004-03-30 12:09  tshead

	* * Fix: problem calculating offset distances in BevelPoints tool

2004-03-30 05:01  blackburst

	* Typo fix

2004-03-30 04:54  blackburst

	* Updated for new CSS stylesheets

2004-03-30 04:53  blackburst

	* Removed

2004-03-30 04:52  blackburst

	* Added new CSS stylesheets to be harmonized between site, docbook
	  and wiki

2004-03-30 04:49  blackburst

	* Removed

2004-03-29 22:53  tshead

	* * Added "direction" to BevelFaces filter

2004-03-29 19:54  tshead

	* * Fix: BevelFaces discontinuity

2004-03-29 16:14  tshead

	* * Removed incorrect warning generating non-solid polyhedra in
	  BevelFaces filter

2004-03-29 15:48  tshead

	* * PolyText tool wasn't handling "virtual" control points in cubic
	  outlines

2004-03-29 00:00  tshead

	* * ImageMagickReader only reports files as loadable if they really
	  are

2004-03-28 23:59  tshead

	* * Build cleanup

2004-03-28 23:48  tshead

	* * Fix: BevelFaces filter handles concave polygons, and generates
	  constant-width bevels

2004-03-28 23:23  blackburst

	* Priority snafu

2004-03-28 23:21  blackburst

	* Updated documentation to include bitmap file formats

2004-03-28 23:19  blackburst

	* OpenEXRReader will use appropiate default value if channel do not
	  exist in file

2004-03-28 16:40  tshead

	* * Polygon holes are correctly offset by the BevelFaces filter

2004-03-28 12:14  blackburst

	* Updated to avoid the battle between bitmap writers/readers

2004-03-28 12:11  blackburst

	* Added OpenEXR bitmap reader and writer

2004-03-28 05:00  blackburst

	* Fixed missing characters

2004-03-28 04:58  blackburst

	* Updated to stable status

2004-03-28 04:56  blackburst

	* Bitmap composite objects updated and verified to work as expected

2004-03-28 04:54  blackburst

	* BitmapSize object added

2004-03-27 21:10  tshead

	* * Updated SDPGTK widget highlight style

2004-03-27 21:09  tshead

	* * Minor UI layout tweak

2004-03-27 21:09  tshead

	* * Fix: User options dialog incorrectly displays all render engine
	  types in Default RenderMan Engine combo

2004-03-27 11:06  blackburst

	* Added serialization

2004-03-27 10:15  tshead

	* * K-3D 0.3.9.0

2004-03-27 08:04  blackburst

	* Updated geometry file format list in documentation

2004-03-27 07:19  blackburst

	* Added missing and renamed plugin objects to documentation

2004-03-27 07:18  blackburst

	* Reformated email addresses for spam protection

2004-03-27 04:57  blackburst

	* Renamed unary and binary objects

2004-03-27 04:55  blackburst

	* * Removed

2004-03-27 03:06  blackburst

	* Updated compositing functionality

2004-03-27 03:04  blackburst

	* * Removed

2004-03-27 03:01  blackburst

	* Corrected typo in property description

2004-03-27 03:00  blackburst

	* Removed author credit (since the code was removed)

2004-03-27 00:21  tshead

	* * Documentation work

2004-03-26 23:23  tshead

	* * Tweaked tutorial menu layout

2004-03-26 23:13  tshead

	* * Source tree cleanup

2004-03-26 23:12  tshead

	* * Got rid of some more GTK2 warnings

2004-03-26 22:18  tshead

	* * Missing regression test script ... doh!

2004-03-26 21:19  tshead

	* * Created common context menu object to share functionality
	  between DAG control and Viewport control * Finished moving
	  ConnectProperties tool into the UI layer ... woohoo!

2004-03-26 20:17  tshead

	* * Fix: flicker in sdpGtkOpenGLDrawingArea and shutdown segfault
	  under GTK2 - Ed Millard

2004-03-26 13:52  tshead

	* * Removed lingering glib/gtk dependencies

2004-03-26 13:24  tshead

	* * Merged the ConnectProperty tool into the UI layer * Code
	  cleanup

2004-03-26 04:55  romainbehar

	* Don't compile properties module

2004-03-25 22:11  tshead

	* * Updated plugin tutorial * Added tutorial plugin to the
	  regression test suite

2004-03-25 22:09  tshead

	* * Build fix

2004-03-25 17:13  tshead

	* * Renamed the k3d::class_id type to k3d::uuid to reflect its
	  newer, less-specific place in the universe * Got rid of the
	  obsolete "Name" argument to K3D_MODULE_START()

2004-03-25 08:03  romainbehar

	* Experimental: Coarsen Polyhedra

2004-03-25 00:24  tshead

	* * K-3D 0.3.0.97

2004-03-25 00:14  tshead

	* * Every module gets its own unique ID, so we can quietly avoid
	  loading the same module twice (e.g. due to symlinks)

2004-03-24 14:40  tshead

	* * Build updates for the GTS module

2004-03-24 10:35  tshead

	* * Fix for bizarro dlopen()-related errors

2004-03-23 11:54  tshead

	* * Switched from libltdl (again) to dlopen() for loading shared
	  libs

2004-03-23 03:53  blackburst

	* Added -rf to remove command

2004-03-22 14:29  tshead

	* * Taking another shot at using libltdl for loading plugin modules

2004-03-22 08:18  romainbehar

	* Added Blobby primitive support, fixed float parser

2004-03-22 04:36  romainbehar

	* Created GTS plugin with PolySphereTessellation as example

2004-03-21 21:49  tshead

	* * Removed script-engine dependencies on SDPGTK

2004-03-21 17:44  tshead

	* * Completed DeletedSelected filter

2004-03-21 17:43  tshead

	* * Modified the MeshInstance implementation so that "hanging"
	  edges (edges that aren't associated with a particular polygon)
	  are drawn

2004-03-20 13:41  tshead

	* * K-3D 0.3.0.96

2004-03-20 01:10  tshead

	* * Added some regression tests for document shutdown segfaults

2004-03-20 01:09  tshead

	* * Added "make strace" target for debugging with strace

2004-03-19 14:35  tshead

	* * Created experimental FormatTime plugin that converts a scalar
	  to a string using strftime()

2004-03-19 14:02  tshead

	* * Merged boost::format library * Create experimental FormatScalar
	  plugin, which converts a scalar into a string using printf()-like
	  syntax

2004-03-19 11:37  tshead

	* * Portability improvements in the k3d.in startup script

2004-03-19 08:39  tshead

	* * Renamed RenderManReflectionMap to
	  RenderManLatLongEnvironmentMap in anticipation of a adding a
	  cube-face plugin * Fix: the "Default RenderMan Render Engine"
	  choice in user options was not actually honored by the
	  RenderManEngine plugin

2004-03-19 08:37  tshead

	* * Removed "[" in our startup script in favor of "test" for
	  portability

2004-03-19 02:21  romainbehar

	* Made Blobby rendering recursive

2004-03-18 14:52  tshead

	* * Code cleanup

2004-03-18 07:51  romainbehar

	* Moved Blobby objects to mesh module

2004-03-18 07:21  romainbehar

	* Little fixes

2004-03-18 07:00  romainbehar

	* Implemented deep_copy for Blobbies

2004-03-17 11:15  tshead

	* * inlined noise() overloads to prevent link problems

2004-03-17 07:53  romainbehar

	* Implemented RenderMan output for Blobby primitive

2004-03-17 03:52  romainbehar

	* Resurrected hfBM-based fractal terrain

2004-03-17 02:25  romainbehar

	* Added RiBlobbyV()

2004-03-17 01:18  tshead

	* * Created experimental PointsToBlobby filter

2004-03-16 21:36  tshead

	* * Code cleanup

2004-03-16 13:53  tshead

	* * Converted the private user interfaces for ColorBezierChannel
	  and ScalarBezierChannel into special-cases in the k3dui library *
	  Eliminated much historic cruft in the makefiles, including most
	  plugin module dependencies on the UI layer ... woohoo!

2004-03-16 06:44  romainbehar

	* RenderMan Blobby primitive draft

2004-03-15 07:08  romainbehar

	* Resurrected FFT-based fractal terrain

2004-03-14 11:04  tshead

	* * Applied patch from Bart Janssens to handle subdivision of
	  non-solid polyhedra

2004-03-13 09:32  tshead

	* * Renamed property_channel_button to property_button

2004-03-13 09:31  tshead

	* * ColorBezierChannel defaults to white color

2004-03-12 22:33  tshead

	* * Fixed broken k3d::noise() implementation and added overloads to
	  match RenderMan SL noise() * Created LinearPointNoise plugin *
	  Documentation cleanup * Code cleanup

2004-03-12 11:22  tshead

	* * Code cleanup

2004-03-12 10:37  tshead

	* * Code cleanup

2004-03-12 04:57  romainbehar

	* No longer used

2004-03-12 04:52  romainbehar

	* No longer used

2004-03-12 04:43  romainbehar

	* Upgraded to Hapy 0.0.5 which got rid of config.h

2004-03-12 00:37  tshead

	* * New: CenterPoints filter, which centers selected points on the
	  origin

2004-03-11 23:17  tshead

	* * Turned Anders uuid generator into an installed tool, so we can
	  use it as part of the plugin tutorial

2004-03-11 22:16  tshead

	* * K-3D 0.3.0.95

2004-03-11 21:45  tshead

	* * Added some sorting options to DAG control

2004-03-10 10:12  tshead

	* * Removed problematic operators from k3d::basic_rgb

2004-03-10 08:45  romainbehar

	* Added Blobby Assembler as Hapy library test

2004-03-10 00:31  tshead

	* * Update: DAG control is updated properly when objects are
	  renamed

2004-03-09 21:08  tshead

	* * New: additional parameters for Lawn plugin, grass blades have
	  random directions assigned via "N" tag

2004-03-09 21:07  tshead

	* * Fix: RenderManShaderXXX plugins weren't storing the choice of
	  shader

2004-03-09 21:07  tshead

	* * New: Minimal support for running regression tests with valgrind

2004-03-09 21:06  tshead

	* * Logging output prints just the application name, not the full
	  path used to run it

2004-03-09 12:14  tshead

	* * Fix: selecting a different shader in a RenderManShaderXXX
	  object wiped-out every property in the object, including its name
	  property

2004-03-09 12:13  tshead

	* * Fix: k3d::menu_item::control caches state properly in-case the
	  control is destroyed as part of its signal handler

2004-03-09 12:12  tshead

	* * Chose some more manageable options for the "make valgrind"
	  target

2004-03-09 12:11  tshead

	* * Code cleanup

2004-03-09 11:59  tshead

	* * Fix: crash closing a Rename Object dialog with the WM close
	  button

2004-03-08 17:30  tshead

	* * K-3D 0.3.0.94

2004-03-08 05:13  romainbehar

	* Added Hapy credits

2004-03-08 05:04  blackburst

	* Ooops once again

2004-03-08 02:15  blackburst

	* Ooops, too quick to commit

2004-03-08 02:07  blackburst

	* Removed 8bit to double conversion and expensive property value
	  lookups

2004-03-08 00:38  tshead

	* * Fix: Bug [ 902846 ] New/Open document segfault seems to have
	  gone away - removed the workaround

2004-03-08 00:19  tshead

	* * Fix: Bug [ 910392 ] Long tutorial text shows bottom - added
	  scrollbars to the tutorial message dialog, and force the top of
	  new messages to be visible

2004-03-08 00:14  tshead

	* * Fix: segfault when double-clicking in an empty text widget
	  (caused by GTKURL)

2004-03-07 23:31  tshead

	* * Fix: Bug [ 902833 ] Teapot render problems * Teapot and Newell
	  filters are aligned around Z, consistent with the rest of the
	  quadrics

2004-03-07 12:16  tshead

	* * Updated k3d::bitmap to store pixels using the floating-point
	  "half" type defined by ILM as part of their OpenEXR library.	*
	  Updated bitmap import/export plugins to handle floating-point
	  data.  * Removed some circular dependencies between SDPGTK and
	  K3DSDK.

2004-03-07 08:37  blackburst

	* Rollback on data window in bitmap

2004-03-07 03:35  blackburst

	* Minor spelling error

2004-03-06 18:07  tshead

	* * Moved k3didgen into the top-level Makefile.am - very cool!

2004-03-06 17:43  tshead

	* * K-3D 0.3.0.93

2004-03-06 17:42  tshead

	* * Enabled serialization for ScalarXXXX filters

2004-03-06 15:06  tshead

	* * Added "Delete Object" choices to DAG control and viewport
	  context menus

2004-03-06 14:24  tshead

	* * Resurrected the fix for boost::filesystem::directory_iterator
	  that handles "." and ".." files when they aren't the first files
	  returned by the filesystem - jdmoline@comcast.net

2004-03-06 14:10  tshead

	* * Began working on a replacement DAG control (with a GTK CList as
	  a temporary front-end) * Fix: property connection controls showed
	  both connected and disconnected states when opened in an auto
	  tool dialog

2004-03-06 14:06  tshead

	* * Removed obsolete sfx module from the build (but left the files
	  behind for blobby-porting)

2004-03-06 14:04  tshead

	* * Removed more obsolete regression tests

2004-03-06 14:03  tshead

	* * Tweaked some wording in the getting_started tutorial, and fixed
	  some breakage in its translations

2004-03-05 03:46  romainbehar

	* Translated Reporting Bugs tutorial to french

2004-03-03 05:02  romainbehar

	* Little fixes

2004-03-02 09:13  romainbehar

	* Added Transform objects to handle transformation stacks

2004-03-02 00:53  tshead

	* * Fix: Document Save button/menu item always prompted for a
	  filepath

2004-03-01 20:28  tshead

	* * Code cleanup

2004-03-01 07:30  blackburst

	* Fixed id class duplication

2004-03-01 04:20  blackburst

	* Added tool to output a formated k3d class id

2004-03-01 04:14  blackburst

	* Added comping objects and updated existing ones

2004-03-01 04:11  blackburst

	* * Removed

2004-03-01 04:09  blackburst

	* Extended functionality for use in bitmap comping

2004-02-29 23:49  tshead

	* * Removed obsolete test cases

2004-02-29 01:31  tshead

	* * Code cleanup

2004-02-29 01:31  tshead

	* * Added a render_visible property to the BackgroundSphere object

2004-02-29 01:31  tshead

	* * Created SetMaterial filter

2004-02-29 01:28  tshead

	* * Added alpha to selection icons

2004-02-29 00:49  blackburst

	* Removed the two toolbarbuttons for object creation

2004-02-28 16:35  tshead

	* * Eliminated sdpGtkPlug and sdpGtkSocket * Code cleanup - got rid
	  of unneeded sdpgtk file dependencies

2004-02-28 11:30  tshead

	* * Added support for specifying the shader cache directory in
	  shader compiler command lines * Camera motion-blur can be
	  enabled-disabled for RenderManEngine * Code cleanup

2004-02-28 09:47  blackburst

	* Changed m_input1 to m_input

2004-02-28 09:46  blackburst

	* * Updated RenderManTextureMap object in user documentation *
	  Added ScalarSine object user documentation

2004-02-28 09:35  tshead

	* * Mesh instance didn't update viewports when its input matrix was
	  modified

2004-02-28 01:41  tshead

	* * Added ScalarSine filter

2004-02-27 20:57  tshead

	* * GraphViz render engine handles objects with quoted names

2004-02-27 14:28  tshead

	* * Use standard library for min/max functions

2004-02-27 14:18  tshead

	* * Naming consistency

2004-02-27 13:55  tshead

	* * K-3D 0.3.0.92

2004-02-27 12:53  blackburst

	* Fixed short description error due to Mr. C and Mr. P

2004-02-27 12:49  blackburst

	* Added new bitmap filters to user documentation

2004-02-27 10:45  tshead

	* * Got rid of progress message API - needs a big re-think, as the
	  implementation allowed user interaction during time-consuming
	  operations * Started working on some wait-cursor support *
	  Playing around with custom cursors for viewports

2004-02-27 09:52  blackburst

	* Added bitmap filters for comping and renamed existing bitmap
	  objects for consistency

2004-02-27 09:50  blackburst

	* * Removed

2004-02-27 06:20  romainbehar

	* Added Patch primitive support

2004-02-27 04:18  blackburst

	* Fixed Makefile for french tutorial

2004-02-27 04:13  blackburst

	* Added ScalarDivide, ScalarPseudoRand and ScalarSubtract plugins
	  to user documentation

2004-02-27 04:11  blackburst

	* Added ScalarDivision, ScalarPseudoRand and ScalarSubtract for
	  completeness

2004-02-27 01:54  tshead

	* * Finished PlanarMap filter * Added clamp and filter properties
	  to RenderManTexture

2004-02-27 01:31  blackburst

	* Added xreflabel to all plugins

2004-02-27 01:09  romainbehar

	* Translated first tutorial to french

2004-02-27 00:53  pgregory

	* Some fixes to get the tiff/graphviz plugins to build under
	  windows.

2004-02-26 16:28  blackburst

	* Added new plugin objects

2004-02-26 16:20  tshead

	* * Added serialization to k3d::bounding_box

2004-02-26 16:15  tshead

	* * Moved ScalarAdd, ScalarModulo, and ScalarMultiply filters to
	  core module

2004-02-26 14:30  tshead

	* * Moved ColorProperty and ScalarProperty plugins to the core
	  module

2004-02-26 13:49  tshead

	* * Split k3d::irender_engine interface into
	  k3d::istill_render_engine and k3d::ianimation_render_engine *
	  Fixed a problem created k3d::button::control objects with pixmaps

2004-02-26 11:19  blackburst

	* * Added more xrefs in user documentation

2004-02-26 09:04  romainbehar

	* Process Translation, Rotation and Scale transformations in
	  separate stacks

2004-02-26 07:16  blackburst

	* * Added xrefs and a first example section

2004-02-26 07:09  blackburst

	* * Rollback on fontsize

2004-02-26 06:03  blackburst

	* * Think TopBottom rank makes the graph output from dot a tad more
	  readable

2004-02-26 01:45  tshead

	* * Changes to viewport host aspect ratio are reflected in
	  viewports

2004-02-25 20:53  tshead

	* * YafrayEngine refreshes viewports properly when moved

2004-02-25 20:17  tshead

	* * Fix: segfault selecting orthogonal projection for a viewport /
	  viewport host * Fix: viewport updates after modifying projection
	  for RenderManEngine

2004-02-25 18:05  tshead

	* * Fix: couldn't increase Array1D.count property with a spin
	  button

2004-02-25 16:09  tshead

	* * GraphVizEngine update for compatibility with earlier versions
	  of GraphViz

2004-02-25 12:16  blackburst

	* * Lowered the ToC depth level for documentation

2004-02-25 12:12  blackburst

	* * Minor update of user documentation

2004-02-25 09:39  tshead

	* * K-3D 0.3.0.91

2004-02-25 08:51  pgregory

	* Fix couple of small issues for windows build.  Update the windows
	  installer, now has a start menu item that should launch the app.
	  Not tested fully yet.

2004-02-25 07:17  blackburst

	* * Added info from the Wiki about RenderManScript

2004-02-25 05:17  blackburst

	* * Updated cvsignore in documentation

2004-02-25 05:11  blackburst

	* * Stylesheet correction

2004-02-25 02:18  tshead

	* * Created GraphVizEngine render engine * Began working on
	  PlanarMap filter for generating texture coordinates

2004-02-25 01:22  romainbehar

	* Ooops

2004-02-25 01:19  romainbehar

	* Fixed Color and Opacity parameters handling

2004-02-24 16:54  blackburst

	* * Minor tweak of stylesheet for documentation

2004-02-24 14:58  blackburst

	* * Switched documentation output to XHTML and rewrote stylesheet

2004-02-24 14:54  blackburst

	* * Switched documentation output to XHTML and rewrote stylesheet

2004-02-24 14:53  blackburst

	* * Removed

2004-02-24 14:50  blackburst

	* * Switched documentation output to XHTML and rewrote stylesheet

2004-02-24 06:50  romainbehar

	* Changed sweepangle for thetamax; don't load null Surfaces

2004-02-24 01:55  romainbehar

	* Added basic Material and Light support

2004-02-23 23:57  tshead

	* * Fix: eliminate harmless warnings rendering empty polyhedra

2004-02-23 15:23  tshead

	* * Updated the manner in which user options are stored at
	  shutdown; hopefully this will prevent user options from getting
	  trashed whenever we segfault at shutdown :(

2004-02-23 11:17  blackburst

	* * Added self-documented properties to pluginchapter in user
	  documentation

2004-02-23 03:58  blackburst

	* * Argh, I can't get anything right today.

2004-02-23 03:50  blackburst

	* * Minor user documentation fix

2004-02-23 03:45  blackburst

	* * User documentation updated

2004-02-23 03:14  romainbehar

	* Resurrected xwriter plugin; fix: new RenderMan quadrics
	  orientation

2004-02-23 01:52  tshead

	* * More regression test cleanup

2004-02-23 01:31  tshead

	* * Better support for loading legacy documents

2004-02-23 01:30  tshead

	* * Modified startup script for better shell-portability

2004-02-23 01:25  tshead

	* * Fixed some broken regression tests

2004-02-22 20:40  tshead

	* * K-3D 0.3.0.90 (for the last friggin' time)

2004-02-22 18:51  tshead

	* * Documentation is installed to pkgdatadir instead of datadir *
	  Application Window > Help > Manual calculates the correct path to
	  the user reference * K-3D 0.3.0.90 (for real)

2004-02-22 16:23  blackburst

	* * Updated user documentation

2004-02-22 14:45  tshead

	* * K-3D 0.3.0.90 * Build/install cleanup

2004-02-22 11:09  blackburst

	* * Changed image for view window

2004-02-22 11:00  blackburst

	* * User documentation cleanup

2004-02-22 10:58  blackburst

	* * Further user documentation cleanup

2004-02-22 10:54  tshead

	* * Release process cleanup

2004-02-22 08:34  blackburst

	* * User documentation cleanup

2004-02-22 00:49  tshead

	* * K-3D 0.3.0.89

2004-02-22 00:21  tshead

	* * Normalized polygonal quadrics

2004-02-21 22:15  tshead

	* * Finished normalizing all quadric and nurb-quadric primitives

2004-02-21 20:57  tshead

	* * Improved nupatch outline drawing in viewport

2004-02-21 14:50  tshead

	* * Normalized Torus to match the RiSpec 3.2 * Created NurbsTorus
	  filter

2004-02-21 13:27  tshead

	* * "Normalized" Sphere object to match RiSpec 3.2 * Sphere object
	  uses NURBS for Viewport drawing * Created NurbsSphere filter

2004-02-21 02:24  tshead

	* * Created NurbsHyperboloid plugin

2004-02-21 02:05  tshead

	* * Added some helpful NURBS-drawing capabilities to
	  k3d::viewport::drawable * Updated Cone, Cylinder, Disk, and
	  Hyperboloid to conform better to the RiSpec 3.2 * Updated Cone,
	  Cylinder, Disk, and Hyperboloid to use NURBS for viewport drawing
	  * Disabled logging of OpenGL errors (too many seem to be caused
	  by the GLU implementation)

2004-02-20 11:43  tshead

	* * During document load, legacy Fog objects are converted into
	  RenderManVolumeShader objects

2004-02-20 07:36  romainbehar

	* Fixed NURBS import, transformations, added object name

2004-02-20 07:34  romainbehar

	* Fixed quaternion to angle-axis overflow

2004-02-20 00:40  tshead

	* * More support for loading older documents, including conversion
	  to new RenderManShader plugins

2004-02-20 00:35  tshead

	* * Changes to RenderManMaterial color update viewports * Logging
	  cleanup

2004-02-19 23:13  tshead

	* * More DAG control work

2004-02-19 23:11  tshead

	* * Fix: RenderManShader filters didn't restore their arguments
	  when loading documents

2004-02-19 23:04  tshead

	* * Object chooser "Edit Object" button was broken

2004-02-19 16:22  tshead

	* * Regression test updates

2004-02-19 16:06  tshead

	* * Began work on DAG / Hierarchy UI replacement

2004-02-19 05:08  romainbehar

	* Resurrected GTS writer

2004-02-19 02:17  tshead

	* * Build cleanup

2004-02-19 02:01  tshead

	* * Temporary workaround for document new/close/new bug

2004-02-19 01:58  tshead

	* * Added "Hide", "Hide Others", and "Show All" commands to the
	  viewport context menu

2004-02-19 01:55  tshead

	* * Removed the "version lock" from document loading

2004-02-18 16:14  tshead

	* * Turned-off splash screens during testing

2004-02-18 11:59  tshead

	* * Removed obsolete scripts

2004-02-18 11:57  tshead

	* * Build fix

2004-02-18 05:44  romainbehar

	* Added Renderman quadrics, Transforms and NuPatch support

2004-02-18 00:49  tshead

	* * Removed obsolete tutorials

2004-02-18 00:34  tshead

	* * Added regression test for new bug * Cleaned-up obsolete
	  tutorial regression tests

2004-02-17 21:51  tshead

	* * More gcc 3.3 fixes

2004-02-17 14:55  tshead

	* * Removed incomplete JavaScript mesh objects

2004-02-17 13:23  tshead

	* * Removed incomplete perl script engine code

2004-02-16 22:02  tshead

	* * Finished consolidating new-document initialization code * New
	  documents have some default shaders assigned

2004-02-16 18:12  tshead

	* * Added minimal tutorial functionality for combo boxes

2004-02-16 15:49  tshead

	* * Solaris build fix

2004-02-16 14:35  tshead

	* * Automatic viewport updates * Build fixes

2004-02-16 12:23  tshead

	* * Code cleanup

2004-02-16 01:10  romainbehar

	* Shot escaped sdpString

2004-02-14 16:19  tshead

	* * Code cleanup

2004-02-14 16:18  tshead

	* * Added a tentative test to handle gcc on Solaris

2004-02-14 12:35  tshead

	* * Code cleanup

2004-02-14 11:41  tshead

	* * Removed document templates feature * Code cleanup

2004-02-13 16:28  tshead

	* * Fixed bizarro Hapy build problem

2004-02-13 10:29  tshead

	* * K-3D 0.3.0.88

2004-02-13 09:14  tshead

	* * Fixed: property channel buttons show connected / disconnected
	  state simultaneously

2004-02-13 02:12  tshead

	* * Removed configure-time tests for gcc 3.3

2004-02-13 02:03  tshead

	* * Updated ADG to regenerate property controls automatically when
	  property collections change * k3d::combo_box::control was
	  generating unwanted change signals * Moved RenderMan shader
	  instances into separate plugins * Eliminated obsolete shader data
	  and shader UI components * This eliminates gcc 3.3 build problems

2004-02-13 00:24  pgregory

	* Some small updates to get the Win32 build working again.

2004-02-12 11:12  tshead

	* * Fixed some misleading code comments for matrix inversion and
	  transposition

2004-02-12 02:04  romainbehar

	* Updated to Hapy 0.0.4

2004-02-12 01:07  romainbehar

	* RIB reader now loads K-3D logo

2004-02-11 11:07  tshead

	* * Added k3d::matrix4::Transpose() test case

2004-02-11 10:50  tshead

	* * Added a test for k3d::matrix4::Transpose()

2004-02-09 23:38  tshead

	* * Removed obsolete document-conversion utility

2004-02-09 22:11  tshead

	* * Eliminated build warnings

2004-02-08 17:32  tshead

	* * Created RenderManArray2D filter

2004-02-08 16:53  tshead

	* * Fix: alter mesh undo/redo segfault ... woohoo!

2004-02-06 09:23  tshead

	* * K-3D 0.3.0.87

2004-02-05 10:08  tshead

	* * Added regression test cases for another undo/redo segfault

2004-02-05 09:48  tshead

	* * Tutorial-enabled k3d::dynamic_menu::control * Tutorial-enabled
	  the viewport context menu

2004-02-04 21:00  tshead

	* * Fix: combo box control generates duplicate change events

2004-02-03 05:38  romainbehar

	* Preliminary Sphere and Cylinder support

2004-02-02 00:27  tshead

	* * Code cleanup

2004-02-01 03:22  tshead

	* * Added a bounding-box preview to the RenderManArray1D filter

2004-02-01 03:21  tshead

	* * Fix: MeshInstance filter wasn't updating its output mesh when
	  the input mesh changed

2004-02-01 03:20  tshead

	* * Update to allow attributes (materials) in RenderMan object
	  instances

2004-02-01 03:02  tshead

	* * Fix: MeshInstance filter did not calculate bounding box
	  correctly

2004-02-01 03:01  tshead

	* * Fix: segfault when MergeMesh filter has only one input

2004-01-30 23:17  tshead

	* * Created k3d::combo_box::control and put it to use with
	  RenderManEngine

2004-01-30 04:21  romainbehar

	* sdpFromString clean-up

2004-01-30 03:57  romainbehar

	* Removed useless sdpString type support

2004-01-29 01:44  tshead

	* * Restored experimental RenderMan CSG capability

2004-01-28 21:50  tshead

	* * K-3D 0.3.0.86

2004-01-28 21:35  tshead

	* * Fix: polyhedron type was not serialized correctly, causing SDS
	  meshes to turn into plain polygons after load

2004-01-28 21:34  tshead

	* * Fix: RenderManArray1D transforms were ignored during render

2004-01-28 21:33  tshead

	* * Fix: segfault instantiating viewports during document load

2004-01-28 21:27  tshead

	* * When saving documents, store objects in ID order

2004-01-28 17:35  tshead

	* * Finished RenderManArray1D filter * Added render_final property
	  to k3d::ri::renderable * Created NurbsDisk mesh source * Moved
	  Position, Orientation, and Scale filters from experimental to
	  stable

2004-01-28 08:51  tshead

	* * Experimental support for RenderMan object instances, via
	  RenderManArray1D plugin

2004-01-28 06:54  romainbehar

	* Experimental RIB reader imports PointsGeneralPolygons

2004-01-28 06:47  romainbehar

	* Experimental RIB reader imports PointsGeneralPolygons

2004-01-27 13:16  tshead

	* * Fix: k3d::is_valid(nupatch&) generated false warnings about
	  NURBS patches * Created k3d::nucurve_group, so NURBS curves are
	  grouped consistently with linear and cubic curves * Began adding
	  k3d::mesh support to JavaScript object model * Began work on
	  DeleteGeometry filter * Created NURBSCone and NURBSCylinder
	  filters * Code cleanup

2004-01-24 23:07  tshead

	* * K-3D 0.3.0.85

2004-01-24 18:24  tshead

	* * Support for loading legacy documents * Better error output *
	  Cleaner RIB output * Hyperboloid, Paraboloid, and Teapot didn't
	  preview correct material in viewport * Better preview shading for
	  Paraboloids * Resurrected NurbsCircle plugin by Romain * Added
	  experimental LookAt plugin * Viewport background color can be
	  modified

2004-01-21 21:56  tshead

	* * RIB import plugin build

2004-01-21 20:06  tshead

	* * Fix: uncaught exception using standard file dialog with
	  non-existent files

2004-01-21 20:05  tshead

	* * Fix: bitmap_preview control handles images of all sizes

2004-01-21 06:13  romainbehar

	* Non-working RIB parser, for Hapy link tests

2004-01-21 00:55  tshead

	* * Ongoing work on MakePath filter

2004-01-21 00:45  romainbehar

	* Update to Hapy 0.0.31

2004-01-19 17:22  tshead

	* * Code cleanup - basic_math.h consistency with SL and naming
	  conventions * Code cleanup - qualified property names for
	  k3d::mesh_filter and k3d::mesh_source objects * Began working on
	  MakePath filter, which converts mesh geometry into movement

2004-01-18 13:04  tshead

	* * Had to get rid of idata_sink<>, idata_source<>, and
	  idata_modifier<>, and replace them with specialized interfaces:
	  imesh_sink, imesh_source, imesh_modifier, itransform_sink,
	  itransform_source, itransform_modifer, ibitmap_sink,
	  ibitmap_source, ibitmap_modifier, etc.

2004-01-17 19:23  tshead

	* * Started support for context menu transform filters

2004-01-17 16:20  tshead

	* * Created Orientation transform filter

2004-01-17 16:12  tshead

	* * Created Scale transformation filter

2004-01-17 15:56  tshead

	* * Fix: not all GTKML templates or pixmaps were installed properly

2004-01-17 01:19  tshead

	* * Restored motion-blur functionality

2004-01-17 01:19  tshead

	* * Turned the experimental Position object into an animatable
	  transformation filter

2004-01-17 00:26  tshead

	* * Viewports serialize viewport host

2004-01-17 00:26  tshead

	* * Code cleanup

2004-01-16 21:23  tshead

	* * Serialization of mesh tags

2004-01-16 12:33  tshead

	* * Code cleanup - moved k3dIPersist and co. into k3d namespace

2004-01-15 23:04  tshead

	* * Created experimental TagColor filter for working with tags

2004-01-15 01:07  tshead

	* * K-3D 0.3.0.84

2004-01-15 00:15  tshead

	* * Viewport / Viewport Host design tweaks * Separate Viewport /
	  Viewport Host render controls * Moved mesh triangulation code
	  into SDK * Yafray engine renders meshes again

2004-01-14 12:45  tshead

	* * Fix: changes made to user options aren't saved until program
	  exit (which affects renderframe behavior) * Massive cleanup of
	  user options - complete separation of interface from
	  implementation

2004-01-13 22:09  tshead

	* * TriangulateFaces code cleanup

2004-01-13 22:04  tshead

	* * Fix: RenderManImager shader wasn't auto-compiled

2004-01-13 21:50  tshead

	* * Ported TriangulateFaces filter

2004-01-13 13:47  tshead

	* * Restored RenderManBackgroundPlane & RenderManBackgroundSphere
	  plugins * RenderMan API cleanup

2004-01-13 13:45  tshead

	* * Fix: viewport not fully initialized by --new command-line
	  option

2004-01-13 09:34  tshead

	* * Hapy build fix

2004-01-13 09:28  tshead

	* * Got rid of k3dIState and related ilk * RenderMan interface
	  cleanup

2004-01-13 09:26  tshead

	* * Added support for enabling/disabling button control

2004-01-13 09:26  tshead

	* * Fix: ADG fails to create path choosers

2004-01-12 09:54  tshead

	* * Temporarily removed Hapy from build pending fixes

2004-01-12 06:25  romainbehar

	* Included Hapy library

2004-01-12 06:21  romainbehar

	* Hapy library 0.0.2

2004-01-12 06:21  romainbehar

	* Initial revision

2004-01-11 23:22  tshead

	* * Cleanup: code, regression tests, undo/redo

2004-01-11 10:58  tshead

	* * Build fix

2004-01-11 01:31  tshead

	* * General tutorial / regression test suite cleanup

2004-01-10 23:12  tshead

	* * Set it up so new documents are created with a RenderManEngine
	  as before

2004-01-10 12:49  tshead

	* * Updated imouse_event_observer - got rid of obsolete calls, and
	  consolidated drag events

2004-01-09 22:44  tshead

	* * UI cleanup / tutorial-enabling

2004-01-09 05:39  romainbehar

	* Ported material support

2004-01-08 21:28  tshead

	* * Created standard k3d::path_chooser control for selecting a
	  filesystem path

2004-01-08 19:49  tshead

	* * Turned RenderManShadowMap into a viewport host

2004-01-08 01:21  tshead

	* * K-3D 0.3.0.83

2004-01-08 00:56  tshead

	* * Created k3d::bitmap_preview control for viewing bitmaps * Moved
	  bitmaps into the DAG * Code cleanup

2004-01-07 07:26  romainbehar

	* Reader now loads lines and polygons

2004-01-07 02:07  tshead

	* * Got rid of k3d::idata_filter * k3d::idata_source and
	  k3d::idata_sink provide explicit references to the properties
	  advertised * Updated all plugins to match

2004-01-07 00:56  pgregory

	* Alter default location of win32 libs.  Add preliminary INNOSetup
	  installer script , needs work.

2004-01-06 19:01  tshead

	* * Created CylindricalWavePoints filter

2004-01-06 17:45  tshead

	* * Added LinearWavePoints filter

2004-01-06 10:51  tshead

	* * Portability fixes - consistent usage of <boost/cstdint.hpp>

2004-01-06 00:13  tshead

	* * K-3D 0.3.0.82

2004-01-06 00:12  tshead

	* * Code cleanup

2004-01-05 23:40  tshead

	* * Code cleanup

2004-01-05 22:06  tshead

	* * Converted our standard polygon-normal calculation to use the
	  summation method, which is more robust than 3-point

2004-01-05 21:39  tshead

	* * Code cleanup

2004-01-05 19:31  tshead

	* * Fix: k3d::deep_copy() wasn't copying all k3d::face data *
	  BevelFace cleanup

2004-01-05 16:37  tshead

	* * Solaris portability fixes

2004-01-05 15:55  tshead

	* * Created standard k3d::toggle_button control * Created viewport
	  selection controls, for filtering what gets selected

2004-01-05 15:53  tshead

	* * Got rid of annoying texture "enable lerp" and "enable gaussian"
	  RIB arguments

2004-01-05 05:46  romainbehar

	* Code cleanup

2004-01-05 01:03  tshead

	* * K-3D 0.3.0.81

2004-01-05 00:46  tshead

	* * Restored "Modeling" navigation mode to viewport control * Added
	  "Tripod" navigation mode to viewport control

2004-01-04 22:42  tshead

	* * Restored active axis selection to the viewport window

2004-01-04 22:41  tshead

	* * Fix: crash when a standard k3d::button is destroyed during its
	  activation handler

2004-01-04 22:38  tshead

	* * Restored the sensitivity of interactive filters

2004-01-04 18:07  tshead

	* * Created BevelFaces filter * Code cleanup

2004-01-04 07:49  pgregory

	* Some minor fixes to ensure continued compilation on Win32/MinGW

2004-01-04 03:10  romainbehar

	* Little fixes

2004-01-04 01:08  tshead

	* * K-3D 0.3.0.80

2004-01-04 00:58  tshead

	* * Fix: viewport window geometry wasn't getting restored properly

2004-01-03 23:18  tshead

	* * Fix: objects created via object chooser were not initialized
	  correctly

2004-01-03 22:44  tshead

	* * GTS reader sets default material on imported objects

2004-01-03 18:19  tshead

	* * Fix: display updates when a RenderManEngine is modified

2004-01-03 17:58  tshead

	* * Got rid of deprecated k3d::iobject::init_complete()

2004-01-03 09:59  romainbehar

	* GTS reader update

2004-01-03 02:01  tshead

	* * K-3D 0.3.0.79

2004-01-03 01:52  tshead

	* * Added video "safe zone" overlay to Viewport plugin

2004-01-03 01:29  tshead

	* * K-3D 0.3.0.79

2004-01-03 00:32  tshead

	* * Created property groups for (duh) creating logical groups of
	  properties - as an aid for UI layout * Grouped properties for
	  Viewport and RenderManEngine plugins

2004-01-02 10:49  tshead

	* * "Render Preview" acts like "Render Frame" when a viewport isn't
	  attached to anything

2004-01-02 09:32  tshead

	* * Portability fix for the K3D_HAVE_X86 macro

2004-01-02 06:33  romainbehar

	* API updates

2004-01-02 02:46  tshead

	* * Better error messages during document loading

2004-01-02 02:11  tshead

	* * Got rid of unused controls in viewport window * Added support
	  for rendering viewport images to disk as PNM files

2004-01-01 22:26  tshead

	* * K-3D 0.3.0.78

2004-01-01 21:28  tshead

	* * New viewport / render engine model * Added color log output *
	  Massive code cleanup

2003-12-30 16:12  tshead

	* * Added Catmull-Clark filter that creates polygonal subdivisions
	  - Bart Janssens <bart.janssens@polytechnic.be>

2003-12-30 01:39  tshead

	* * Created MakeSDS filter

2003-12-27 07:37  romainbehar

	* * Massive code cleanup - say "bye-bye" to the old geometry
	  interfaces\!

2003-12-24 17:33  tshead

	* * Code cleanup

2003-12-24 17:15  tshead

	* * Massive code cleanup - say "bye-bye" to the old geometry
	  interfaces!

2003-12-24 13:15  tshead

	* * Converted PolyText (Text) tool to the new workflow * Fix:
	  objects not getting propertly initialized in new document

2003-12-23 12:08  tshead

	* * Fix: shell portability problems in acinclude.m4 * Build cleanup

2003-12-21 13:04  tshead

	* * Converted Polyhedron to the new workflow

2003-12-20 00:51  tshead

	* * Converted BendPoints (Bend / Bender) to the new workflow * Code
	  cleanup

2003-12-19 23:21  tshead

	* * Converted PolyCushion to the new workflow * Added test for
	  solids to mesh-source plugins

2003-12-19 16:35  tshead

	* * Converted SmoothPoints (Smooth) to new workflow * Code cleanup

2003-12-19 14:14  tshead

	* * Converted ShearPoints (Slant) to the new workflow

2003-12-18 16:48  tshead

	* * Restored document serialization

2003-12-18 01:51  tshead

	* * Converted TaperPoints to the new workflow

2003-12-17 22:38  tshead

	* * Converted SphereizePoints to the new workflow

2003-12-17 19:50  tshead

	* * Changed ibounding_box to ibounded for consistency, clarity *
	  Ongoing conversion of tools to new workflow

2003-12-17 11:58  tshead

	* * Removed obsolete transformers module

2003-12-17 11:26  tshead

	* * Converted PolyCube and PolyTorus to the new workflow

2003-12-17 10:47  romainbehar

	* * Ongoing undo/redo work

2003-12-17 00:18  tshead

	* * Ongoing conversion from old to new workflows

2003-12-16 20:12  tshead

	* * Conversion from old to new workflow * Added width and wrap
	  parameters to KnotCurve and LissajousCurve

2003-12-16 17:48  tshead

	* * Plugin conversion to new workflows

2003-12-16 15:53  tshead

	* * Ongoing undo/redo work

2003-12-15 14:18  tshead

	* * Fix: restored VCR control functionality in document window
	  after moving to DAG-based time

2003-12-15 14:14  tshead

	* * Fix: k3d::fold_duplicates_buf streambuf didn't flush last "Last
	  message duplicated ..." message in dtor

2003-12-14 20:14  tshead

	* * Build fix

2003-12-14 17:43  tshead

	* * Moved transformations into the DAG * Moved time into the DAG *
	  Created TimeSource plugin * Removed k3d::ihierarchy,
	  k3d::itransform, k3d::ianimate, k3d::idocument_time,
	  k3d::itime_observer k3d::ianimtool, and related implementaitons *
	  Simplified k3dIEditorRender and k3d::ri::irender * Removed
	  Transformer plugins from the build (will be superceded by mesh
	  filter replacements)

2003-12-10 12:05  tshead

	* * Added --show-arguments option to the k3d startup script, for
	  troubleshooting * Created top-level "make debug" target that
	  starts a debugging session with gdb for troubleshooting the built
	  binary

2003-12-10 01:36  tshead

	* * Converted MeshInstance to DAG transformations * Cleanup

2003-12-09 23:39  romainbehar

	* Fixed typo

2003-12-09 21:46  tshead

	* * Updated logging for renderjob and renderframe

2003-12-09 17:58  tshead

	* * Created "make fast" target for skipping rarely-changed
	  libraries

2003-12-09 17:31  tshead

	* * Created "make fast" target, which skips over libraries that
	  don't change much (boost, sdptypes, sdpxml, sdpgl, sdpsl, sdpgtk)
	  ... this is mainly for the benefit of Win32 developers, use at
	  your own risk!

2003-12-09 10:58  tshead

	* * SigC 1.0 compatibility

2003-12-09 01:18  tshead

	* * Began work on moving the transformation hierarchy into the DAG

2003-12-08 00:30  tshead

	* * Renamed RenderMesh to MeshInstance, and Instance1D to Array1D *
	  Enabled undo/redo for the DAG * Fixed undo/redo for the Command
	  Node Tree * Fixed undo/redo for object dialogs * Ongoing work on
	  undo/redo for the document object collection and the hierarchy

2003-12-05 14:23  tshead

	* * K-3D 0.3.0.77

2003-12-05 14:04  tshead

	* * Upgraded to boost 1.30.2

2003-12-05 13:00  blackburst

	* Updated files to be ignored and alphabetized them

2003-12-05 04:40  romainbehar

	* Updated log messages, added more chunks support

2003-12-04 21:04  tshead

	* * Fix: grid size didn't work if dependent on another property

2003-12-04 21:00  tshead

	* * Made experimental plugins less threatening :)

2003-12-04 11:15  tshead

	* * K-3D 0.3.0.76

2003-12-04 01:15  tshead

	* * More logging updates

2003-12-04 00:03  tshead

	* * Added logging support

2003-12-04 00:00  tshead

	* * Added logging support

2003-12-01 09:38  tshead

	* * Fix: crash in KnotCurve

2003-12-01 05:28  romainbehar

	* Converted knot tool to Knot Curve object

2003-11-30 23:46  tshead

	* * Moved undo/redo interfaces into k3d namespace

2003-11-28 13:15  tshead

	* * K-3D 0.3.0.75

2003-11-28 08:52  romainbehar

	* Hierarchy tree expand/collapse function complete

2003-11-27 01:38  romainbehar

	* First step to hierarchy tree expand/collapse function

2003-11-26 17:46  tshead

	* * Finished BevelPoints filter

2003-11-26 15:38  tshead

	* * Build-fixes for gcc 3.2

2003-11-25 23:33  tshead

	* * More mesh selection fixes * Created validation function for
	  polyhedra * Fixed topology problems in PolyCylinder * Created
	  BevelPoints filter

2003-11-25 23:27  tshead

	* * Added "OK" and "Cancel" buttons to auto tool dialog, vice
	  "Close" button for auto object dialogs

2003-11-24 12:12  tshead

	* * Created RotatePoints and TranslatePoints filters

2003-11-23 17:18  tshead

	* * K-3D 0.3.0.74

2003-11-23 14:00  tshead

	* * Fixed double-click editing of an object

2003-11-23 13:22  tshead

	* * Restored Deselect All functionality * Added missing selection
	  for linear and cubic curves

2003-11-23 08:23  romainbehar

	* Added hierarchy folding controls

2003-11-22 16:42  tshead

	* * Removed selection caching from k3d::iselection * Updated build
	  to install plugins to $pkglibdir instead of $libdir * Updated
	  build to installed shared data in $pkgdatadir instead of $datadir
	  * Updated build to install shaders, scripts, and tutorials to
	  $pkgdatadir instead of $prefix

2003-11-22 14:29  romainbehar

	* Implemented NCurve and NPatch objects

2003-11-21 14:41  tshead

	* * Finshed NURBS serialization in FrozenMesh

2003-11-21 11:44  romainbehar

	* Fixed some handedness issues

2003-11-21 01:08  tshead

	* * FrozenMesh serialization

2003-11-20 16:13  tshead

	* * More k3d::mesh terminology cleanup

2003-11-20 15:34  tshead

	* * Updated k3d::mesh symbol names for consistency, clarity *
	  Ongoing FrozenMesh serialization

2003-11-20 02:40  romainbehar

	* Fixed sweep angles conversion

2003-11-20 00:55  pgregory

	* More minor Win32 changes.

2003-11-19 22:22  tshead

	* * K-3D 0.3.0.73

2003-11-19 20:39  tshead

	* * More manual workflow - made ScalePoints mouse-interactive, and
	  made Instance1D a filter * Build fix - got rid of "CXXFLAGS is a
	  user variable" warnings

2003-11-19 05:00  romainbehar

	* New Ayam geometry importer

2003-11-19 04:44  romainbehar

	* Added XP_PC/XP_UNIX switch

2003-11-19 01:02  pgregory

	* Initial efforts to get K3D compiling under Mingw32/MSYS on Win32.
	  Now uses autoconf. Some work still needed.

2003-11-18 13:14  tshead

	* * Only posix filters plugin modules by filename extension (*.so)

2003-11-17 14:52  tshead

	* * Fix: out-of-date information in plugin authoring tutorial *
	  Fix: k3d-config was still trying to link to no-longer-existent
	  sdptypes library * Fix: Some k3dsdk header files were not getting
	  installed

2003-11-17 12:18  tshead

	* * Manual workflow

2003-11-16 18:29  tshead

	* * Manual workflow

2003-11-14 11:10  tshead

	* * Portability improvements

2003-11-14 10:37  tshead

	* * Code cleanup

2003-11-11 17:26  tshead

	* * Build fix - removed obsolete makefiles from configure.ac

2003-11-11 16:07  tshead

	* * Added reference_path() property to sdpGtkObjectContainer, and
	  put it to use loading pixmaps in sdpGtkPixmap * Moved
	  dialog_template_path() out of k3d::iapplication and into the
	  k3dui public API * Flattened dialogtemplates directory * Code
	  cleanup

2003-11-10 14:30  tshead

	* * More path troubleshooting

2003-11-10 13:53  tshead

	* * More path cleanup

2003-11-10 12:45  tshead

	* * More path cleanup

2003-11-10 10:47  tshead

	* * Began working on ADG specialized for manual workflow

2003-11-10 10:46  tshead

	* * Path fix in k3d::button implementation * Began working on an
	  ADG dialog specialized for manual workflow

2003-11-09 10:06  tshead

	* * Filesystem fix - Paul Gregory

2003-11-08 12:56  tshead

	* * Win32 troubleshooting

2003-11-07 20:36  tshead

	* * Fix: shader metafiles were ignored at startup

2003-11-06 11:13  tshead

	* * Additional verbose output for troubleshooting

2003-11-06 11:00  tshead

	* * Code and glib cleanup

2003-11-06 03:28  romainbehar

	* sdpString/Glib clean-up

2003-11-05 23:35  tshead

	* * K-3D 0.3.0.72

2003-11-05 22:15  tshead

	* * Code cleanup

2003-11-05 20:32  tshead

	* * Code cleanup

2003-11-05 16:57  tshead

	* * Code cleanup

2003-11-05 16:10  tshead

	* * Fix: invalid path specifications in GTKML files

2003-11-05 15:36  tshead

	* * boost::filesystem conversion

2003-11-05 03:32  romainbehar

	* Optimized Spirit grammar to make it compile

2003-11-04 22:18  tshead

	* * boost::filesystem cleanup

2003-11-04 22:01  tshead

	* * glib cleanup

2003-11-04 21:54  tshead

	* * glib cleanup

2003-11-04 21:24  tshead

	* * glib cleanup

2003-11-04 14:55  tshead

	* * Removed glib dependency

2003-11-04 14:54  tshead

	* * Code cleanup

2003-11-04 14:33  tshead

	* * Removed glib-isms

2003-11-04 12:06  tshead

	* * Compile-fix for gcc 3.3

2003-11-03 08:25  romainbehar

	* More sdpTypes clean-up

2003-11-02 05:47  romainbehar

	* sdptypes code clean-up

2003-11-01 01:15  tshead

	* * K-3D 0.3.0.71

2003-11-01 00:39  tshead

	* * More context-menu manual workflow work * Conversion to
	  boost::filesystem

2003-10-30 19:55  tshead

	* * Got rid of global static data in k3dsdk/irenderman.h

2003-10-30 18:50  tshead

	* * Removed filename-oriented APIs from sdpxml and sdpgtk

2003-10-29 15:33  tshead

	* * Created k3d::idata_modifier<> interface * Code cleanup

2003-10-29 08:45  tshead

	* * Fix: initialization problem with dynamic submenus *
	  Dynamically-generated list of filters in camera context menu *
	  Restored pick-selection for legacy light objects

2003-10-28 20:54  tshead

	* * Added support for submenus to k3d::dynamic_menu::control *
	  Created k3d::idata_filter and k3d::idata_sink interfaces *
	  Support for adding a "filter" to a construction chain

2003-10-28 08:45  tshead

	* * Added context-sensitive popup menus to camera views * K-3D
	  0.3.0.70

2003-10-27 21:52  tshead

	* * Added k3d::idata_source interface * Created k3d::immutable_mesh
	  wrapper for k3d::mesh, and converted test plugins to use it *
	  Creating an idata_source<const immutable_mesh*> object from the
	  UI automatically creates a RenderMesh object and connects the
	  properties - so the user gets immediate visual feedback.

2003-10-26 23:33  tshead

	* * Fix: k3dMesh selection was broken

2003-10-26 14:50  tshead

	* * Fix for our libsigc++ configure macro - Bart Janssens

2003-10-26 11:25  tshead

	* * K-3D 0.3.0.69

2003-10-26 10:45  tshead

	* * Created RenderManBackgroundPlane object for putting a shader
	  onto a plane (good for lens flares, incorporating live shots,
	  etc.) * Created k3d_painted_constant shader, primarily for use
	  with RenderManBackgroundPlane * Added a "distance" parameter to
	  RenderManBackgroundSphere, so multiple instances can be ordered,
	  and for consistency with RenderManBackgroundPlane * Got rid of
	  totally unusable k3d_imagelayer shader

2003-10-24 13:20  tshead

	* * Added a "render_state" argument to
	  k3dIEditorEngine::EditorRender() and
	  k3dIEditorRender::EditorRenderSelection() * Finished nupatch
	  selection

2003-10-24 09:10  tshead

	* * Basic support for rendering nupatches in both OpenGL and
	  RenderMan * Began selection support fro nupatches

2003-10-23 12:42  uid34542

	* * Updated nucurve to store control vertices with integral weights
	  * Missing File: k3dsdk/selectable.h * Some nupatch work

2003-10-22 20:33  tshead

	* * Additional k3d::nucurve selection fixes

2003-10-22 18:31  tshead

	* * Added support for selecting k3d::nucurve

2003-10-22 17:23  tshead

	* * More nucurve work - eliminated non-rational special-case

2003-10-22 15:22  tshead

	* * Modified k3d::nucurve to store curve order instead of degree,
	  since both OpenGL and RenderMan APIs use order * Removed
	  "rational" flag from k3d::nucurve; non-rational curves are
	  implied by an empty weight vector * Created k3d::is_valid()
	  function for sanity-checking k3d::nucurve instances

2003-10-21 23:52  tshead

	* * Added cubic curve support to k3d::mesh * Created Lawn object to
	  demo cubic curves

2003-10-21 00:19  tshead

	* * RenderMan rendering of linear curves

2003-10-20 11:26  tshead

	* * Created k3d::linear_curve and k3d::linear_curve_group * Created
	  Lightning plugin for testing linear curves * Code cleanup

2003-10-20 08:55  romainbehar

	* FreeType2 lib installation fix from Andy Thaller

2003-10-18 15:24  romainbehar

	* Added experimental NURBS surface support

2003-10-16 23:52  tshead

	* * K-3D 0.3.0.68

2003-10-16 23:27  tshead

	* * Created k3d::point_cloud primitive * Created Starfield object
	  as an example of k3d::point_cloud

2003-10-16 21:05  tshead

	* * Ongoing mesh work

2003-10-16 09:11  romainbehar

	* Updated Python engine (Adam Hupp)

2003-10-16 07:40  romainbehar

	* Implemented nucurve OpenGL rendering

2003-10-15 12:09  romainbehar

	* Ported NURBS polygon to its procedural counterpart

2003-10-15 10:40  romainbehar

	* Implemented nucurve

2003-10-07 23:48  tshead

	* * Initial support for GTK2, including --with-gtk2 configuration

2003-10-03 23:27  tshead

	* * Added boost/pool * ConnecTool object is destroyed when dialog
	  closes * Created ScalePoints object

2003-10-03 11:38  tshead

	* * K-3D 0.3.0.67

2003-10-03 11:12  tshead

	* * Ongoing FrozenMesh work.

2003-10-03 01:34  tshead

	* * k3d::add_grid() generates solid geometry * Created MergeMesh
	  object, that combines two input meshes into one output mesh ...
	  duh! * Began work on FrozenMesh object, that maintains a
	  persistent copy of its input, for manual editing

2003-10-02 09:43  tshead

	* * Mouse scrollwheel wouldn't scroll tutorial menu

2003-10-02 01:45  tshead

	* * Added material-selection to PolyCylinder, PolyGrid, Newell
	  plugins

2003-10-02 01:25  tshead

	* * Added boost/random

2003-10-02 01:22  tshead

	* * Completed support for arbitrary output variables * Completed
	  support for arbitrary output variables * Completed support for
	  arbitrary output variables * Completed support for arbitrary
	  output variables * Completed support for arbitrary output
	  variables * Completed support for arbitrary output variables *
	  Completed support for arbitrary output variables * Completed
	  support for arbitrary output variables * Completed support for
	  arbitrary output variables

2003-10-01 00:51  tshead

	* * Ongoing mesh output variable work

2003-09-30 23:07  tshead

	* * Fixed selection for quadrics

2003-09-30 10:37  tshead

	* * Fix: Python engine compile-time error

2003-09-30 09:03  tshead

	* * K-3D 0.3.0.66

2003-09-30 01:56  tshead

	* * Tweaked AnimationScript plugin to only fire the script when the
	  observed time changes

2003-09-30 01:34  tshead

	* * Began adding arbitrary output variables to k3d::mesh * Refined
	  copy & assignment behavior in k3d::bilinear_patch and
	  k3d::bicubic_patch

2003-09-29 01:37  tshead

	* * Created AnimationScript object

2003-09-29 00:48  tshead

	* * Code cleanup

2003-09-28 18:20  tshead

	* * Ongoing mesh work

2003-09-28 02:35  tshead

	* * Improved mesh selection

2003-09-27 22:11  tshead

	* * Added bilinear patches to k3d::mesh * RenderMan rendering of
	  bilinear and bicubic patches

2003-09-27 19:16  tshead

	* * Added selection, solid, and edge-drawing capabilities for
	  k3d::bicubic_mesh

2003-09-26 18:53  idragosani

	*
	  Fixed module

2003-09-26 16:03  tshead

	* * Fixed OpenGL patch rendering in RenderMesh * Added color coding
	  to RenderMesh

2003-09-26 10:57  tshead

	* * Began adding selection capabilities to k3d::mesh * Created
	  k3dIEditorRender::RenderSelection() method

2003-09-26 09:49  idragosani

	*
	  Added new abstract interface for joints, and new object
	  ODEHingeJoint, and added constraint force mixing (CFM) and error
	  reduction parameter (ERP) to ODEWorld

2003-09-26 08:57  romainbehar

	* Code clean-up

2003-09-26 07:48  romainbehar

	* Bezier bicubic patch support for k3d::mesh

2003-09-26 07:44  romainbehar

	* Bezier bicubic patch support for k3d::mesh

2003-09-25 10:46  tshead

	* * K-3D 0.3.0.65

2003-09-24 23:46  tshead

	* * Created PolyCylinder object * Ongoing property update work

2003-09-24 15:39  tshead

	* * Moved property-writing functionality out of k3d::iproperty and
	  into its own k3d::iwritable_property interface * Refactored
	  k3d::data to allow for read-only storage, clarity * Created
	  k3d::demand_storage policy for creating objects on-demand *
	  Updated the DAG implementation so property changes are
	  distributed to child properties * Renamed k3d::surface to
	  k3d::polyhedron for clarity * PolyGrid and Instance1D objects
	  only create data on-demand * Renamed MeshRender to RenderMesh,
	  and added hooks for caching render data

2003-09-24 14:29  idragosani

	*
	  Removed skeleton modukle from build, since it is part of ODE now

2003-09-24 14:19  idragosani

	*
	  Fixed a bug in bone.cpp

2003-09-24 13:03  idragosani

	*
	  Updated bones object

2003-09-24 11:01  idragosani

	*
	  Moved bones/skeleton into ODE plugin

2003-09-23 12:50  idragosani

	*
	  Added new skeleton module

2003-09-23 10:49  tshead

	* * K-3D 0.3.0.64

2003-09-23 10:39  tshead

	* * Created add_unit_cube() and add_grid() primitive functions to
	  k3dsdk/mesh.h * Added support for subdivision mesh type to
	  surfaces / render mesh and tested * Fix: k3d::init_enumeration
	  was creating a reference to a temporary object, causing a
	  segfault

2003-09-21 17:50  tshead

	* * K-3D 0.3.0.63

2003-09-21 16:37  tshead

	* * sdpString cleanup * Fix: crash caused by command-nodes not
	  getting removed from the tree

2003-09-20 15:05  tshead

	* * Moved ShadowMap object to RenderMan module

2003-09-20 14:41  tshead

	* * Got rid of k3dEditorRender and k3dTransformObject objects

2003-09-19 17:08  tshead

	* * Moved under-utilized k3dTriangleMesh out of K3DSDK * Increased
	  JavaScript stacksize (need to make this configurable at some
	  point) * Ongoing k3d::mesh development

2003-09-19 00:28  tshead

	* * Got rid of duplicate DeleteObject() class

2003-09-18 19:59  tshead

	* * K-3D 0.3.0.62

2003-09-18 14:47  tshead

	* * Added deletion signal to k3d::iproperty * Ongoing scripting UI

2003-09-17 23:42  tshead

	* * Ongoing inline script editor work

2003-09-17 20:55  tshead

	* * Created k3d::iscript_property and k3d::inline_script_editor

2003-09-17 16:03  tshead

	* * Eliminated statically-defined class_id definitions in K3DSDK

2003-09-17 02:10  tshead

	* * Improved k3d::data initialization

2003-09-15 00:56  tshead

	* * Added documentation for JavaScript stream objects

2003-09-15 00:22  tshead

	* * Created JavaScript istream object for file input

2003-09-14 22:02  tshead

	* * Added hair shader from AppNote #19

2003-09-14 16:43  tshead

	* * RenderMan JavaScript binding

2003-09-14 11:41  tshead

	* * RenderMan interface

2003-09-14 02:44  tshead

	* * More RenderMan work

2003-09-13 23:53  romainbehar

	* NURBS Circle primitive now works properly

2003-09-13 16:38  tshead

	* * Cleanup

2003-09-13 01:44  tshead

	* * RenderMan output cleanup

2003-09-11 22:58  tshead

	* * RenderMan scripting * Created k3d_particle shader * Better
	  automatic shader compilation at render time * Code cleanup

2003-09-11 01:55  tshead

	* * RenderMan Scripting

2003-09-11 00:50  tshead

	* * JavaScript RenderMan binding

2003-09-10 19:50  tshead

	* * Created RenderManScript object * Updated script engine
	  lifetimes so engines can persist data between calls to execute()
	  * Code cleanup

2003-09-10 05:27  romainbehar

	* New NURBS curve : triangle

2003-09-10 00:27  tshead

	* * Generalized the mechanism for passing context data to scripts

2003-09-09 20:18  tshead

	* * Code cleanup

2003-09-09 16:30  tshead

	* * sdpString cleanup

2003-09-08 23:51  tshead

	* * Tutorial-enabled ConnectProperties tool * Code cleanup

2003-09-08 00:21  tshead

	* * More mesh work - created Instance1D plugin

2003-09-05 11:25  tshead

	* * More LIBADD vs LDADD cleanup

2003-09-05 10:39  tshead

	* * Added "DEPRECATED" status to plugin factories * Mesh work

2003-09-05 10:37  tshead

	* * Files missing from installation - Fred Labrosse

2003-09-04 11:18  tshead

	* * Mesh work

2003-09-04 11:17  tshead

	* * Yet more mesh work

2003-09-04 10:30  tshead

	* * Ongoing mesh work

2003-09-04 01:13  tshead

	* * New mesh work

2003-09-02 09:26  romainbehar

	* Created first NURBS curve primitive

2003-09-02 09:22  romainbehar

	* Created first NURBS curve primitive

2003-08-29 22:58  tshead

	* * Doh!

2003-08-28 11:10  tshead

	* * K-3D 0.3.0.61

2003-08-28 10:49  tshead

	* * Added k3d_square_ridges displacement shader

2003-08-27 21:17  tshead

	* * Consolidated NURBS plugin code

2003-08-27 13:43  tshead

	* * Fix: Hyperboloid preview in viewport did not match the rendered
	  object

2003-08-27 10:39  tshead

	* * K-3D 0.3.0.60

2003-08-27 00:48  tshead

	* * Updated namespaces to avoid module name clashes at startup

2003-08-26 17:49  tshead

	* * Added --with-gcc-3-3 option and check

2003-08-26 17:08  tshead

	* * RIB output layer doesn't generate inline parameter declarations
	  for RiOption calls (since the render engine should know the types
	  of its own options!)

2003-08-25 14:25  tshead

	* * SDPCSTRING cleanup

2003-08-25 12:22  tshead

	* * Fix: bizarro problem with shared libraries, anonymous
	  namespaces, and script-engine module registration

2003-08-25 11:15  tshead

	* * K-3D 0.3.0.59

2003-08-25 10:59  tshead

	* * Added crop, scale, mirror, and alpha support to
	  k3d_paintedplastic.sl

2003-08-23 15:33  tshead

	* * Specifying normals for polygons != 4 sides is undefined for
	  RenderMan

2003-08-23 15:32  tshead

	* * k3d::button::control doesn't require a pixmap *
	  k3d::shader_arguments::control sizes child controls better

2003-08-22 20:12  tshead

	* * Fix: clipboard paste was broken

2003-08-22 20:11  tshead

	* * Installation fix: missing shaders

2003-08-22 15:59  tshead

	* * Added support for closing the application from a script * Fix:
	  inoperative hotkeys

2003-08-22 14:05  tshead

	* * Code cleanup

2003-08-22 09:40  tshead

	* * Fix: segfault when calling BlockAllEvents() /
	  UnblockAllEvents() on an idle event

2003-08-22 01:25  blackburst

	* * Added exit method that can be used by scripting engines

2003-08-22 00:30  tshead

	* * Build fix

2003-08-21 22:38  tshead

	* * Build fixes

2003-08-21 21:52  tshead

	* * Code cleanup - got rid of sdpRegEx * Code cleanup - moved
	  gtkurl to k3dui * Code cleanup - moved k3dOptionXXXX to the
	  k3d::options namespace

2003-08-20 09:18  tshead

	* * Added texture, reflection_map, and shadow_map tutorials

2003-08-19 14:03  tshead

	* * Minor fixes for polyhedron material assignment

2003-08-19 11:22  tshead

	* * Shader cleanup

2003-08-19 00:26  tshead

	* * Added analytic antialiasing and a StripeColor argument to the
	  k3d_warningstripes shader

2003-08-18 11:47  tshead

	* * Added intensity argument to k3d_constant shader

2003-08-18 11:45  tshead

	* * Added CropWindow support to RenderMan engine

2003-08-17 19:37  tshead

	* * Tutorial-enabled color chooser * Restored path extrusion
	  tutorial * Restored radial extrusion tutorial * Restored solor
	  tutorial

2003-08-16 09:11  tshead

	* * Ongoing tutorial restoration

2003-08-15 23:20  tshead

	* * Code cleanup

2003-08-15 14:29  tshead

	* * Converted k3dScriptMenuItem to k3d::menu_item::control * Added
	  a signal to k3d::menu_item::control

2003-08-15 12:07  tshead

	* * Converted k3dScriptButton to k3d::button::control, made scripts
	  optional, and added a signal * Tutorial-enabled
	  k3d::button::control, and by extension, ADG

2003-08-15 12:05  tshead

	* * Code cleanup

2003-08-14 16:41  tshead

	* * Code cleanup - moved all UI code out of K3DSDK and into K3DUI

2003-08-14 10:49  tshead

	* * K-3D 0.3.0.57

2003-08-14 09:17  tshead

	* * Created ReflectionMap object * Added bitmap-lookup coordinates
	  to k3d_decalplastic

2003-08-13 21:59  tshead

	* * Restored "Polygons" tutorial

2003-08-13 20:11  tshead

	* * Updated tutorial message box to display CAPS LOCK instead of
	  ALT * Restored "Geometry Selection" tutorial

2003-08-13 11:22  tshead

	* * New Feature: ESC cancels tutorial cruise control mode * New
	  Feature: ESC cancels running tutorials * Restored "Camera
	  Navigation" and "Simple Geometry" tutorials

2003-08-11 22:49  tshead

	* * K-3D 0.3.0.56

2003-08-11 22:21  tshead

	* * Added ImageMagick bitmap read / write plugins - Brett McCoy *
	  Added TIFF bitmap write plugin - Tim * Added
	  k3d::ifile_format::priority() method for choosing file formats
	  automatically * Added k3d_decalplastic shader - Tim * Code
	  cleanup - cleaned-out k3dcom.h/.cpp - Tim

2003-08-10 14:31  idragosani

	*
	  Completed implementations of ImageMagick plugins

2003-08-09 21:00  idragosani

	*
	  Added skeleton code for ImageMagick reader and writer classes (it
	  compiles, but does not yet do anything)

2003-08-09 20:58  idragosani

	*
	  Added autoconf support for new ImageMagick plugins, and new Class
	  IDs

2003-08-09 18:30  tshead

	* * Build fix

2003-08-09 18:17  tshead

	* * Initial collision-detection checkin

2003-08-09 01:21  tshead

	* * Missing .slmeta file for k3d_starfield shader * Added
	  k3d_gradient_t shader

2003-08-09 01:20  tshead

	* * Update: proper aqsl command-line for newer versions of Aqsis

2003-08-09 01:19  tshead

	* * Fix: newly-created mesh geometry wasn't properly selected

2003-08-08 11:30  tshead

	* * k3d_glow shader uses opacity information

2003-08-08 11:21  tshead

	* * Restored simple_geometry tutorial

2003-08-07 00:14  tshead

	* * K-3D 0.3.0.55

2003-08-06 23:44  tshead

	* * Better error output

2003-08-06 23:43  tshead

	* * Update: ShadowMap object uses Hider "hidden" "depthfilter" [
	  "midpoint" ] for shadows that require infinitely less tweaking ;)

2003-08-05 23:03  tshead

	* * Fix: broken tutorial functionality in rename object dialog *
	  Code cleanup

2003-08-05 13:10  tshead

	* * Removed unused Result argument from
	  k3d::icommand_node::execute_command() * Tutorial-enabled
	  check_button control

2003-08-05 13:08  tshead

	* * Tutorial fixes

2003-08-04 22:09  tshead

	* * Fix: broke ADG object choosers during k3d::iobject conversion *
	  Moved implicit object functionality out of K3DSDK

2003-08-04 13:38  tshead

	* * Converted k3dISnapTarget to k3d::isnap_target * Code cleanup

2003-08-04 11:01  tshead

	* * ODE fun - converted to ADG

2003-08-01 13:25  tshead

	* * K-3D 0.3.0.54

2003-07-31 15:30  tshead

	* * Removed obsolete frequency and phase properties from color and
	  scalar channels

2003-07-31 15:30  tshead

	* * Build Fix

2003-07-31 01:28  tshead

	* * K-3D 0.3.0.53

2003-07-31 01:11  tshead

	* * ScalarProperty object and ConnectProperty tools, contributed by
	  Bart Janssens!

2003-07-30 15:22  tshead

	* * Code cleanup: converted k3dIObject and k3dObject to
	  k3d::iobject and k3d::object, respectively

2003-07-28 10:14  tshead

	* * K-3D 0.3.0.52

2003-07-28 09:55  tshead

	* * netpbm.conf file is generated by configure based on the outcome
	  of the with-new-pnmtotiff test

2003-07-28 08:57  tshead

	* * Fix: Restored OBJReader factory name * Fix: Mesh undo test

2003-07-28 08:27  tshead

	* * Fix: restored tutorial-functionality to hierarchy control *
	  Created JavaScript ostream object

2003-07-27 15:02  tshead

	* * Restored tutorial functionality in object chooser

2003-07-27 00:57  tshead

	* * Runtime warning cleanup

2003-07-26 22:53  tshead

	* * Created k3d::editor::render using parameterized inheritance *
	  Converted k3d::tranform to parameterized inheritance

2003-07-26 08:16  tshead

	* * Code cleanup

2003-07-26 07:40  tshead

	* * Fix: ridiculously picky yafray output

2003-07-26 06:38  tshead

	* * Got rid of sdpResult and related cruft

2003-07-25 01:58  tshead

	* * K-3D 0.3.0.51

2003-07-25 01:53  tshead

	* * Fix: crash creating YAFRAY engine due to linker confusion

2003-07-25 01:26  tshead

	* * Code cleanup

2003-07-24 15:18  tshead

	* * Restored lasso selection * Rewrote / restored deep selection
	  for all use cases * Updated selection behavior: shift adds to the
	  current selection, control subtracts, caps-lock enables lasso
	  selection

2003-07-23 21:16  tshead

	* * K-3D 0.3.0.50 (for real)

2003-07-23 20:22  tshead

	* * Fix: transformable object targets were not restored properly
	  after loading

2003-07-23 16:52  tshead

	* * K-3D 0.3.0.50

2003-07-23 16:22  tshead

	* * Re-enabled object_chooser for texture arguments in shaders *
	  Fix: shader texture arguments were not correctly initialized
	  after loading

2003-07-23 16:20  tshead

	* * Added configure tests for a workable netpbm installation

2003-07-22 16:36  tshead

	* * Code cleanup

2003-07-22 14:52  tshead

	* * Removed dependency on GTK+ for keyboard / mouse event modifiers

2003-07-20 22:35  tshead

	* * Implemented deep selection for objects and polygons in
	  k3d::select() / k3d::deselect * Code cleanup

2003-07-18 12:17  tshead

	* * Switched k3d_dented from the Advanced RenderMan version to the
	  earlier version that ships with Aqsis

2003-07-18 10:32  tshead

	* * Maya reader bug fixes: loading transformations

2003-07-17 22:29  tshead

	* * Repository cleanup

2003-07-17 18:28  tshead

	* * Code cleanup

2003-07-17 00:20  tshead

	* * Document loading rejects deprecated document versions * Created
	  k3d-convert utility for upgrading documents

2003-07-16 01:30  tshead

	* * Fix: NURBS surface crash when empty * Fix: Text tool crash when
	  initial font choice is unavailable * Fix: ADG spin buttons
	  weren't created for int or unsigned int types

2003-07-16 00:35  tshead

	* * Version 0.3.0.48

2003-07-16 00:16  tshead

	* * Added integer-type spin-button support to ADG * Added
	  real-world unit-of-measure support to ADG

2003-07-15 13:57  tshead

	* * ADG support for float, long, and unsigned long properties *
	  Code cleanup

2003-07-15 01:43  tshead

	* * Version 0.3.0.47

2003-07-15 01:32  tshead

	* * More manipulator madness

2003-07-14 10:34  tshead

	* * Workaround: bizarro link problems between Cone object /
	  PolyCone tool * Code cleanup

2003-07-14 02:16  tshead

	* * Object parenting support, NURBS object, Maya reader - Ed
	  Millard

2003-07-13 23:21  tshead

	* * K-3D 0.3.0.46

2003-07-13 23:11  tshead

	* * Selection design work

2003-07-11 16:17  tshead

	* * Merged boost/mem_fn library

2003-07-10 00:14  tshead

	* * Added "Save RIB To File" render engine * Shaders use "null"
	  instead of empty-string for unassigned shaders

2003-07-09 19:35  tshead

	* * Code cleanup

2003-07-08 09:17  tshead

	* * Fix: switched default Aqsis compiler from "aqslcomp" to "aqsl"

2003-07-08 09:16  tshead

	* * Fix: thrown exception creating user options directory

2003-07-01 12:21  edwardmillard

	* Optimize atom sphere drawing.  About a 2X improvement.

2003-06-30 05:16  romainbehar

	* Glib clean-up

2003-06-27 09:25  tshead

	* * Fix: selection mode enumeration incomplete - Ed Millard

2003-06-27 09:13  tshead

	* * Install fix by Bart Janssens

2003-06-26 22:06  tshead

	* * Passing strings by reference for efficiency in k3d::data *
	  Restored missing object-creation functionality in
	  k3d::object_chooser * Fix: CSG objects were broken by RI API
	  changes

2003-06-25 14:19  tshead

	* * Added command description to k3d::icommand_node and
	  k3d::command_node * Fix: inlined glLoadName(), glPushName(),
	  glGetName() to avoid link errors

2003-06-25 00:41  tshead

	* * K-3D 0.3.0.45

2003-06-25 00:30  tshead

	* * Switched SoftObject to ADG

2003-06-25 00:10  tshead

	* * Added object chooser support to ADG

2003-06-24 21:24  tshead

	* * Fix: MD3 memory management

2003-06-24 15:21  tshead

	* * Added utilities for portably storing pointers as GL names
	  across different architectures

2003-06-24 09:12  tshead

	* * Created Quake MD3 reader - Ed * Created chem module and moved
	  PDB reader - Ed

2003-06-23 22:36  tshead

	* * Support for building docs outside source tree - Gilles J.
	  Seguin <segg@infonet.ca> * Documentation build fixes - Tim

2003-06-23 18:03  tshead

	* * Build fix: tools still using k3dICamera::Axis

2003-06-23 12:22  tshead

	* * Added chooser support to ADG * Changed k3dAxis to k3d::axis,
	  and used to to replace k3dICamera::Axis * Replaced more plugin
	  dialogs with ADG

2003-06-20 09:24  tshead

	* * Defined standard k3d::color type for color storage * Added
	  k3d::color_chooser support to automatic dialog generation

2003-06-18 23:34  tshead

	* * Code cleanup

2003-06-18 23:32  tshead

	* * K-3D 0.3.0.42

2003-06-17 22:15  tshead

	* * First iteration automatic dialog generation

2003-06-17 01:47  tshead

	* * Box selection fix

2003-06-16 10:49  tshead

	* * Double-click selection refreshes display * Pick-matrix fix for
	  box selection

2003-06-15 07:15  blackburst

	* * Using local DocBook DTD

2003-06-15 07:14  blackburst

	* * Fixed so documentation will not be regenerated on every build

2003-06-13 23:24  tshead

	* * Second iteration selection by Ed Millard * gcc 3.3 build fixes
	  by Bart Janssens * Started auto dialog generation - Tim

2003-06-12 12:52  tshead

	* * Newly-created channels default to the original property value

2003-06-12 11:05  tshead

	* * Created k3d::property_channel_button * Fix: object command node
	  names weren't getting set via scripted name changes

2003-06-12 11:02  tshead

	* * Created k3d::property_channel_button * Fix: object command node
	  names weren't getting set via scripted name changes

2003-06-11 10:58  tshead

	* * Build 0.3.0.39

2003-06-11 01:05  tshead

	* * Moved import/export out of k3d;:idocument * Added selection to
	  JavaScript engine * Renamed polygon primitive tools to prevent
	  name clashes with quadratic prims

2003-06-11 01:01  tshead

	* * Moved import/export out of k3d;:idocument * Added selection to
	  JavaScript engine * Renamed polygon primitive tools to prevent
	  name clashes with quadratic prims

2003-06-10 15:53  tshead

	* * Build fix - gcc 3.3

2003-06-10 14:30  tshead

	* * Fix: accidentally removed libtoolize from bootstrap - doh!

2003-06-10 14:16  tshead

	* * Code cleanup * Fix: gcc 3.3 compile error

2003-06-10 06:31  romainbehar

	* Reversed mistake :(

2003-06-10 06:26  romainbehar

	* Fixed missing assert()

2003-06-09 20:51  tshead

	* * Selected-related cleanup

2003-06-09 14:26  blackburst

	* * Customized DocBook template

2003-06-09 14:22  blackburst

	* * Customized DocBook template

2003-06-09 12:13  tshead

	* * Initial commit of object selection - Ed Millard

2003-06-09 12:00  blackburst

	* * Initial checkin of complete DocBook XSL templates

2003-06-09 11:57  blackburst

	* * Customized DocBook template

2003-06-09 11:49  blackburst

	* * Customized DocBook template

2003-06-09 11:43  blackburst

	* * Initial checkin of complete DocBook XSL templates

2003-06-09 11:39  blackburst

	* * Initial checkin of complete DocBook XSL templates

2003-06-09 11:29  blackburst

	* * Initial checkin of complete DocBook XSL templates

2003-06-09 11:20  blackburst

	* * Initial checkin of complete DocBook XSL templates

2003-06-09 09:08  romainbehar

	* Added object factory method

2003-06-09 03:49  romainbehar

	* GLib clean-up

2003-06-09 03:29  blackburst

	* * Initial commit of customized template. Work in progress.

2003-06-09 03:19  blackburst

	* * Reverting to previous version

2003-06-09 01:59  blackburst

	* * Removed the --docbook switch

2003-06-08 17:13  blackburst

	* * Changed DocBook process tool to xsltproc

2003-06-08 15:02  blackburst

	* * Changed DocBook processing tool to xsltproc

2003-06-08 14:55  blackburst

	* * Changed DocBook processing tool to xsltproc

2003-06-08 09:57  tshead

	* * Fix: shader data and material selections weren't serialized

2003-06-08 05:24  blackburst

	* * Correcting silly typo

2003-06-08 03:20  blackburst

	* * Changed path to figures.

2003-06-08 03:19  blackburst

	* * Changed path to figures

2003-06-08 03:17  blackburst

	* * Changed paths to figures in hope to get PDF creation working,
	  it did not.  * Added history about Lissa curves.

2003-06-08 03:10  blackburst

	* Put directories on separate lines.

2003-06-08 02:59  blackburst

	* Updated .cvs ignore files.

2003-06-08 02:24  tshead

	* * Checkin

2003-06-08 02:12  tshead

	* * Added DAG serialization

2003-06-07 18:32  tshead

	* * Updated object-selection-related code to use k3d::iselection

2003-06-05 11:25  tshead

	* * Build 0.3.0.36

2003-06-05 05:12  romainbehar

	* sdpString/GLib clean-up

2003-06-05 03:10  romainbehar

	* Fixed cast typo

2003-06-04 23:45  tshead

	* * Created k3d::iselection * Created ColorBezierChannel

2003-06-03 11:29  tshead

	* * Parameterized k3d::ichannel and k3d::ibezier_channel * Created
	  ScalarBezierChannel

2003-06-03 08:03  romainbehar

	* sdpString/GLib clean-up

2003-06-03 03:29  romainbehar

	* Added plugin_factory support

2003-06-02 13:32  tshead

	* * Created a portable implementation of nanotime(), and added
	  support for detecting target cpu type

2003-06-02 10:42  tshead

	* * Initial checkin of channels project

2003-06-02 10:19  tshead

	* * Code cleanup * Build fix: gcc 3.3

2003-06-02 07:27  romainbehar

	* Added missing headers

2003-05-31 00:37  tshead

	* * Object cleanup - removed unnecessary use of k3d::time_observer
	  * Added bounding box support to cone, cylinder, disk, paraboloid,
	  sphere, torus

2003-05-30 00:29  tshead

	* * Added DAG support to JavaScript engine

2003-05-28 23:59  tshead

	* * Added k3d::ibounding_box

2003-05-28 23:46  tshead

	* * Implemented k3d::ibounding_box

2003-05-28 23:20  tshead

	* * Created ibounding_box

2003-05-27 10:06  tshead

	* * Added FPS to camera viewports for performance tuning

2003-05-27 10:05  tshead

	* * Reimplemented k3d::file_extension() without reverse iterators

2003-05-27 06:26  romainbehar

	* sdpString clean-up

2003-05-27 00:26  tshead

	* * First cut at a color_chooser control

2003-05-26 13:41  tshead

	* * Fix: crash importing / exporting documents to unknown filetypes

2003-05-26 09:06  romainbehar

	* New Raw file reader

2003-05-26 08:02  romainbehar

	* Fixed Importer

2003-05-26 07:20  romainbehar

	* More SDPTypes clean-up

2003-05-25 23:23  tshead

	* * More lightweight object work

2003-05-23 12:03  tshead

	* * More lightweight-object conversion

2003-05-23 09:00  romainbehar

	* Turned 'optionspath' to 'optionsfile'

2003-05-23 07:13  romainbehar

	* Removed K3DPATHHANDLE

2003-05-22 08:28  romainbehar

	* Less sdpTypes, code clean-up

2003-05-21 23:47  tshead

	* * Merge conflicts

2003-05-21 23:27  tshead

	* * Reverted back to gmodule from libltdl * Converting heavyweight
	  objects to lightweight DAG-enabled objects * Code cleanup

2003-05-21 03:04  romainbehar

	* Code clean-up

2003-05-20 08:55  romainbehar

	* Replaced K3DPOINTHANDLE with Visitor, code clean-up

2003-05-19 08:27  romainbehar

	* Code clean-up

2003-05-19 00:39  tshead

	* * Added versioning to user reference * Fixed drawing artifact in
	  lightweight sphere * Cleanup of endian-detection and GetLine
	  functions

2003-05-18 23:30  tshead

	* * Refactored k3d::data / k3d::property API to support the DAG -
	  Tim Shead * LightweightSphere performance tuning - Ed Millard

2003-05-18 20:17  edwardmillard

	* Add more timer probe enum's for high res timers.  Minotr
	  reformatting of results printout.

2003-05-18 18:58  edwardmillard

	* Fix broken material assignment due to offset in atom and element
	  name.  Add iron and sulphur materials and radius. Change material
	  color coding slightly.  Need to make this color coding user
	  definable.

2003-05-17 11:49  edwardmillard

	* Add enum to better organize high res timer slots.

2003-05-16 11:37  tshead

	* * First iteration of the DAG!

2003-05-16 05:59  romainbehar

	* Created k3d::system namespace

2003-05-15 15:01  tshead

	* * Version 0.3.0.34

2003-05-15 14:48  tshead

	* * Switched from gmodule to libltdl for portable
	  dynamic-module-loading

2003-05-15 11:31  tshead

	* * Added a "module name" argument to K3D_MODULE_START(), in
	  anticipation of using libltdl

2003-05-15 06:08  romainbehar

	* More code clean-up

2003-05-15 03:04  tshead

	* * Updated k3d::iobject_collection and k3dIHierarchy to work with
	  ranges of objects for performance * Updated pdb reader to test
	  performance improvements

2003-05-14 12:40  tshead

	* * Code cleanup

2003-05-14 08:51  romainbehar

	* Code clean-up

2003-05-14 01:35  tshead

	* * Code cleanup

2003-05-14 01:12  tshead

	* * Fix: boost libraries were not installed * Updated wrapper
	  script to handle path-related logic * Updated man page

2003-05-13 18:18  tshead

	* * Fix: more std::string() NULL pointer errors

2003-05-13 15:01  tshead

	* * Restoring make check

2003-05-13 14:17  tshead

	* * Eliminated two unnecessary pass-by-values in k3d::data * Added
	  k3d::data::force_value() method to bypass constraints and
	  equivalence checks, for performance-tuning * Converted
	  k3dGetUniqueName() to k3d::unique_name() and moved it to the UI
	  layer * Object names are no longer constrained unique internally

2003-05-13 11:49  tshead

	* * Fix: k3d::record_command() shouldn't be accepting NULL string
	  arguments

2003-05-13 07:33  romainbehar

	* Code clean-up

2003-05-13 01:45  tshead

	* * Created high-resolution timer - Ed

2003-05-13 00:47  tshead

	* * Converted import/export plugins into application plugins *
	  All-around file filter cleanup

2003-05-12 11:02  tshead

	* * PDB reader updates

2003-05-12 01:49  tshead

	* * Added k3d::ibezier_channel support to the JavaScript engine *
	  Created stretch_animation script, for adjusting animation time
	  globally

2003-05-11 16:17  tshead

	* * Updated k3d::set_property to handle channels as a special case
	  * Updated PDB importer to set material colors

2003-05-11 15:22  tshead

	* * PDB (Protein Database) file importer - Ed Millard * Created
	  "Lightweight Sphere" object for performance testing - Tim * Began
	  converting object_chooser to dynamic_menu

2003-05-10 01:08  tshead

	* * Fix: crash closing DAG view - Ed Miller

2003-05-10 00:48  tshead

	* * Renamed k3d::object_selector to k3d::object_chooser to avoid
	  confusion * Hacked Ed Miller's new dynamic menu beyond
	  recognition ;)

2003-05-09 08:18  romainbehar

	* Code clean-up

2003-05-09 00:23  tshead

	* * Write shader-compilation command-line to console for
	  troubleshooting

2003-05-08 20:31  tshead

	* * K-3D 0.3.0.30

2003-05-08 19:30  tshead

	* * Fix: build problem w/ viewport::frame * Fix: added std::string
	  specialization for sdpxml::ParseAttribute() and
	  sdpxml::GetAttribute()

2003-05-08 14:11  tshead

	* * Added OpenGL preview to the teapot procedural object - Bart
	  Janssens <bart.janssens@polytechnic.be>

2003-05-07 10:35  tshead

	* * Fix: boost::filesystem::directory_iterator doesn't assume that
	  "." and ".." are always returned first by the OS * Restored
	  Document > View DAG functionality

2003-05-07 05:01  romainbehar

	* SDPCSTRING removal

2003-05-07 03:11  romainbehar

	* Less SDPCSTRINGs, code clean-up

2003-05-07 02:33  romainbehar

	* Less SDPCSTRINGs, code clean-up

2003-05-06 14:53  tshead

	* * Added k3d::iproperty::read_only() method * Created a dummy
	  "value" property for Bezier Channel

2003-05-06 14:25  tshead

	* * Fix: unresolved link symbols

2003-05-06 04:56  romainbehar

	* Code clean-up

2003-05-06 04:36  romainbehar

	* Code clean-up

2003-05-06 02:56  romainbehar

	* Removed SDPCSTRING instances

2003-05-05 15:35  tshead

	* * DAG crash fixes, updates by Ed Millard

2003-05-05 07:14  romainbehar

	* Replaced sdpString.formattedreplace() with
	  k3d::formatted_replace(string, ...)

2003-05-05 07:11  romainbehar

	* Replaced sdpString.formattedreplace() with
	  k3d::formatted_replace(string, ...)

2003-05-05 03:39  romainbehar

	* Introduced k3dsdk/string_modifiers.h

2003-05-05 00:58  romainbehar

	* Build 0.3.0.29 updates

2003-05-03 17:11  tshead

	* * Additional overload for k3dDialog::LoadGTKMLTemplate() - patch
	  by Fred Labrosse <ffl@aber.ac.uk> * gcc 3.3 build fixes - patch
	  by Peter Balon <Peter.Balon@t-online.de>

2003-05-02 23:11  tshead

	* * More viewport refactoring

2003-04-30 14:32  tshead

	* * Code cleanup, and how!

2003-04-30 09:10  romainbehar

	* Moved all math functions from sdpTypes to k3dSDK

2003-04-30 08:50  romainbehar

	* Moved all math functions from sdpTypes to k3dSDK

2003-04-30 08:47  romainbehar

	* Moved all math functions from sdpTypes to k3dSDK

2003-04-30 08:28  romainbehar

	* Moved all math functions from sdpTypes to k3dSDK

2003-04-30 08:24  romainbehar

	* Moved all math functions from sdpTypes to k3dSDK

2003-04-30 07:47  romainbehar

	* Moved all math functions from sdpTypes to k3dSDK

2003-04-30 04:51  romainbehar

	* Replaced sdpSleep with boost:timer

2003-04-30 04:47  romainbehar

	* Reduced standard headers dependencies with sdptypes.h

2003-04-30 03:02  romainbehar

	* Reduced standard headers dependencies with sdptypes.h

2003-04-30 02:59  romainbehar

	* Reduced standard headers dependencies with sdptypes.h

2003-04-30 02:43  romainbehar

	* Reduced standard headers dependencies with sdptypes.h

2003-04-30 02:36  romainbehar

	* Reduced standard headers dependencies with sdptypes.h

2003-04-30 02:04  romainbehar

	* Reduced standard headers dependencies with sdptypes.h

2003-04-30 02:01  romainbehar

	* Reduced standard headers dependencies with sdptypes.h

2003-04-29 12:29  tshead

	* * Camera / viewport refactoring

2003-04-29 12:03  tshead

	* * Added --embed-libs and --ui-libs options to k3d-config

2003-04-29 11:01  tshead

	* * Fix: separate build directory

2003-04-29 09:04  romainbehar

	* Reduced standard headers dependencies with sdptypes.h

2003-04-29 08:54  romainbehar

	* Reduced standard headers dependencies with sdptypes.h

2003-04-29 08:07  romainbehar

	* Reduced standard headers dependencies with sdptypes.h

2003-04-29 07:31  romainbehar

	* Reduced standard headers dependencies with sdptypes.h

2003-04-29 07:20  romainbehar

	* Added to replace sdpSleep()

2003-04-29 06:55  romainbehar

	* Changed sdpForEachFile for boost::filesystem

2003-04-28 20:56  tshead

	* * More YafRay engine work

2003-04-28 12:04  tshead

	* * Build fixes

2003-04-28 08:55  romainbehar

	* Shuffled Math functions from sdpTypes to k3dSDK

2003-04-28 08:49  romainbehar

	* Shuffled Math functions from sdpTypes to k3dSDK

2003-04-28 08:43  romainbehar

	* Shuffled Math functions from sdpTypes to k3dSDK

2003-04-28 08:21  romainbehar

	* Shuffled Math functions from sdpTypes to k3dSDK

2003-04-28 08:18  romainbehar

	* Shuffled Math functions from sdpTypes to k3dSDK

2003-04-28 08:14  romainbehar

	* Shuffled Math functions from sdpTypes to k3dSDK

2003-04-28 01:52  tshead

	* * More YafRay engine work

2003-04-28 01:51  tshead

	* * More work on the YafRay engine

2003-04-27 20:43  tshead

	* * k3dMesh doesn't try to render zero-point polygons *
	  k3d::ri::render_engine does some simple sanity-checking on input
	  arguments

2003-04-27 20:21  tshead

	* * Updated K3D_WITH_RUBY to provide required flags to AC_CHECK_LIB

2003-04-27 19:12  tshead

	* * Created k3d::get_property_value() helper function for
	  retrieving the value of a property (handles channels, too)

2003-04-26 23:52  tshead

	* * Fix: bizarro object selector failure * Started YafRay render
	  engine and began camera / viewport refactoring * Code cleanup

2003-04-25 06:14  romainbehar

	* Replaced sdpFile functions with boost::filesystem

2003-04-25 02:51  romainbehar

	* Typos fixes

2003-04-25 02:39  romainbehar

	* Fixed k3d::file_extension bug

2003-04-25 01:58  tshead

	* * Document progress messages

2003-04-25 01:40  romainbehar

	* sdpString clean-up

2003-04-25 01:36  romainbehar

	* sdpString clean-up

2003-04-25 01:19  tshead

	* * More progress messaging

2003-04-25 01:10  tshead

	* * Added shading space control to k3d_checkerboard_solid

2003-04-24 08:49  romainbehar

	* Added k3d::file_extension() function

2003-04-24 06:26  romainbehar

	* Removed renderjob's SDP libraries dependencies

2003-04-24 04:34  romainbehar

	* Remove g_*_string* macros

2003-04-24 03:22  romainbehar

	* No SDPCSTRING anymore

2003-04-24 02:42  romainbehar

	* No SDPCSTRING anymore

2003-04-24 02:22  romainbehar

	* More SDPCSTRING clean-up

2003-04-24 01:53  romainbehar

	* More sdpString clean-up

2003-04-24 00:32  tshead

	* * Rudimentary support for progress display when loading a
	  document

2003-04-24 00:28  tshead

	* * Rudimentary support for progress display when loading a
	  document

2003-04-23 16:57  tshead

	* * Fix: k3dsdk/paths.cpp wasn't getting built

2003-04-23 16:19  tshead

	* * Began adding document load progress support * Refactored
	  k3dIAnimate as k3d::ianimate, and moved k3dAnimate to
	  parameterized-inheritance * Camera incorrectly opened viewport
	  window after document load, even if gui was disabled * Moved
	  classes from k3dsdk to k3dembed / k3dui, and refined what's
	  public in k3dembed

2003-04-23 16:16  tshead

	* * Began adding document load progress support * Refactored
	  k3dIAnimate as k3d::ianimate, and moved k3dAnimate to
	  parameterized-inheritance * Camera incorrectly opened viewport
	  window after document load, even if gui was disabled * Moved
	  classes from k3dsdk to k3dembed / k3dui, and refined what's
	  public in k3dembed

2003-04-23 09:17  romainbehar

	* No SDPCSTRING anymore

2003-04-23 08:01  romainbehar

	* Got rid of SDPCSTRING/sdpString occurrences

2003-04-23 07:34  romainbehar

	* Got rid of SDPCSTRING in k3dIFileFormat

2003-04-23 01:30  romainbehar

	* Fixed bad file

2003-04-22 13:31  tshead

	* * Source tree cleanup

2003-04-22 13:27  tshead

	* * Source tree cleanup

2003-04-22 13:24  tshead

	* * Source tree cleanup

2003-04-22 13:08  tshead

	* * Boost 1.30 moved to top-level directory - Romain * Added
	  missing boost/core files * Added shader_collection and
	  user_options policy classes in k3dembed * Began move to
	  parameterized-inheritance for plugin object base classes * Added
	  FOV controls to ShadowMap plugin * Added cast_shadows and
	  cast_reflection properties to all ri-renderable plugins * Code
	  cleanup

2003-04-22 13:02  tshead

	* * Boost 1.30 moved to top-level directory - Romain * Added
	  missing boost/core files * Added shader_collection and
	  user_options policy classes in k3dembed * Began move to
	  parameterized-inheritance for plugin object base classes * Added
	  FOV controls to ShadowMap plugin * Added cast_shadows and
	  cast_reflection properties to all ri-renderable plugins * Code
	  cleanup

2003-04-22 12:59  tshead

	* * Boost 1.30 moved to top-level directory - Romain * Added
	  missing boost/core files * Added shader_collection and
	  user_options policy classes in k3dembed * Began move to
	  parameterized-inheritance for plugin object base classes * Added
	  FOV controls to ShadowMap plugin * Added cast_shadows and
	  cast_reflection properties to all ri-renderable plugins * Code
	  cleanup

2003-04-22 09:09  romainbehar

	* Boost now at top level

2003-04-22 08:57  romainbehar

	* Boost now at top level

2003-04-22 08:50  romainbehar

	* Boost now at top level

2003-04-22 08:47  romainbehar

	* Boost now at top level

2003-04-22 08:18  romainbehar

	* Boost now at top level

2003-04-22 08:18  romainbehar

	* Initial revision

2003-04-22 08:15  romainbehar

	* Boost now at top level

2003-04-22 08:15  romainbehar

	* Initial revision

2003-04-19 23:51  tshead

	* * Converted ImageLayer to BackgroundSphere * Moved
	  embedding-related classes into new k3dembed library * Created UML
	  deployment diagram * Updated UML top-level object model diagram

2003-04-19 01:33  tshead

	* * Backwards compatibility with pre-0.3 documents

2003-04-18 13:10  tshead

	* * Code cleanup

2003-04-18 09:22  tshead

	* * File linking in bitmap object * Added near/far plane controls
	  to shadow map * Rewrote RIB output layer

2003-04-16 11:57  tshead

	* * Fix: NULL references causing segfault

2003-04-16 08:57  romainbehar

	* RenderMan rework : no more SDPCSTRING nor gpointer

2003-04-16 08:49  romainbehar

	* RenderMan rework : no more SDPCSTRING nor gpointer

2003-04-16 02:09  tshead

	* * Added script for creating orthogonal shadow maps

2003-04-16 01:20  tshead

	* * Version 0.3.0.23

2003-04-16 00:57  tshead

	* * Created ShadowMap object, removed shadow maps from Light
	  objects * SDPGL cleanup

2003-04-15 17:32  tshead

	* * Build cleanup * Created official K-3D "favicon" for the website
	  ;)

2003-04-15 11:22  tshead

	* * Documentation cleanup * Eliminated disktop icon installation

2003-04-15 11:19  tshead

	* * Documentation cleanup * Eliminated disktop icon installation

2003-04-15 10:41  tshead

	* * Fix: k3d::insertor function was passing containers by value
	  instead of reference * Fix: some GTKML files were not getting
	  installed * Fix: sdpgl/sdpgl.h was not getting installed * Fix:
	  render_test scripts were looking for cameras named "Untitled
	  Camera", which no longer exist

2003-04-15 00:17  tshead

	* * Code cleanup

2003-04-14 22:24  tshead

	* * Code cleanup

2003-04-14 22:08  tshead

	* * Removed SDPTYPES dependency from SDPGL * Developer guide plugin
	  tutorial

2003-04-14 17:14  tshead

	* * SpiderMonkey 1.5rc5

2003-04-14 17:10  tshead

	* * SpiderMonkey 1.5rc5

2003-04-14 17:00  tshead

	* * Spidermonkey 1.5rc5

2003-04-14 16:57  tshead

	* * Spidermonkey 1.5rc5

2003-04-14 16:53  tshead

	* * Spidermonkey 1.5rc5

2003-04-14 05:15  romainbehar

	* Removed mysterious <boost/lambda/lambda.hpp> inclusion

2003-04-14 04:26  romainbehar

	* sdpString class clean-up

2003-04-13 16:30  tshead

	* * Integrated DAG, courtesy of Ed Millard <emillard@direcway.com>

2003-04-13 01:51  tshead

	* * Began re-writing plugin tutorial in developer documentation *
	  Fix: some boost files were installed to the wrong directory *
	  Feature: "&" can be used in --libpaths and K3D_LIB_PATHS as a
	  synonym for the default lib path

2003-04-12 03:14  tshead

	* * Code cleanup * Created skeleton single-top-level-window
	  alternate UI

2003-04-12 02:23  tshead

	* * Plugin refactoring

2003-04-11 09:01  romainbehar

	* No-header style, updated to PLIB 1.6.0 formats

2003-04-11 08:21  romainbehar

	* No-header style

2003-04-11 08:16  romainbehar

	* No-header style

2003-04-11 08:12  romainbehar

	* No-header style

2003-04-11 05:28  romainbehar

	* Fixed bug

2003-04-11 04:36  romainbehar

	* No-header style

2003-04-10 16:46  tshead

	* * All-together-now: plugin refactoring

2003-04-10 05:37  romainbehar

	* Removed Obj filters headers

2003-04-10 03:42  romainbehar

	* Fixed new scripted buttons

2003-04-10 03:35  romainbehar

	* Fixed plugin factory and removed header

2003-04-10 00:38  tshead

	* * More plugin refactoring

2003-04-09 18:11  tshead

	* * More plugin module refactoring

2003-04-09 11:30  tshead

	* * Module refactoring

2003-04-09 07:51  romainbehar

	* New plugin system support

2003-04-09 07:42  romainbehar

	* Register interface

2003-04-09 07:16  romainbehar

	* Hack to make new plugin system work with previous one

2003-04-08 06:25  romainbehar

	* New plugin style

2003-04-07 13:52  tshead

	* * Added Renderman Interface Bytestream grammar

2003-04-07 12:35  tshead

	* * Fix: many missing makefiles, no proper installation for boost
	  library

2003-04-07 11:07  tshead

	* * Converted k3dDocument to k3d::idocument * Began plugin module
	  refactoring - created k3d::iplugin_registry,
	  k3d::iplugin_factory, k3d::iplugin_factory_collection * Updated
	  CheckHeadersInMakefileAm.pl to catch a wider variety of problems

2003-04-07 11:04  tshead

	* * Converted k3dDocument to k3d::idocument * Began plugin module
	  refactoring - created k3d::iplugin_registry,
	  k3d::iplugin_factory, k3d::iplugin_factory_collection * Updated
	  CheckHeadersInMakefileAm.pl to catch a wider variety of problems

2003-04-07 11:00  tshead

	* * Converted k3dDocument to k3d::idocument * Began plugin module
	  refactoring - created k3d::iplugin_registry,
	  k3d::iplugin_factory, k3d::iplugin_factory_collection * Updated
	  CheckHeadersInMakefileAm.pl to catch a wider variety of problems

2003-04-07 07:33  romainbehar

	* Updated headers list (for external compilation)

2003-04-07 07:14  romainbehar

	* New Perl script to check headers lists in Makefile.am files

2003-04-07 01:42  romainbehar

	* Perl devel. sources autodetection

2003-04-05 18:12  tshead

	* * Cleaned-up k3dIMaterial and k3dIMaterialCollection as
	  k3d::imaterial and k3d::imaterial_collection * Created
	  k3d::set_property template function for setting property values
	  from C++ code * Fix: default camera viewport is opened when
	  creating a document with the --new command-line option * Moved
	  application about box and splash screen into k3dui * Added
	  k3d::path::prefix() and k3d::version_string() functions to k3dsdk

2003-04-04 03:44  romainbehar

	* K3D-wide user compiler-flags definition

2003-04-03 21:40  tshead

	* * Added RH8 RPM spec file from Fred Labrosse <ffl@aber.ac.uk> *
	  Fix: imager.gtkml was not being installed * Moved sdpIUnknown and
	  sdpIDeletable to k3d::iunknown and k3d::ideletable * Moved all
	  COM functionality from sdptypes to k3dsdk

2003-04-03 02:03  romainbehar

	* New ports thanks to engine update

2003-04-03 02:02  romainbehar

	* Updated Camera and CommandNode classes

2003-04-01 05:59  romainbehar

	* Added AM_ to CXXFLAGS and LDFLAGS variables

2003-04-01 01:47  tshead

	* * Created Image object that implements the RenderMan Imager
	  Shader concept * Code cleanup

2003-04-01 01:43  tshead

	* * Created Image object that implements the RenderMan Imager
	  Shader concept * Code cleanup

2003-03-31 12:47  tshead

	* * Began separation of user interface layer in earnest - created
	  k3dui library, and began moving user interface functionality into
	  it, dependencies-permitting * Code cleanup

2003-03-30 21:22  tshead

	* * Fixed bug in configure macros that caused disabling docbook to
	  disable freetype2 plugin, also * .cvsignore update

2003-03-30 20:38  tshead

	* * Restored full functionality to Position, Orientation, and Scale
	  tabs * Spin button "stepincrement" attribute parsed for
	  units-of-measure in GTKML

2003-03-30 02:27  tshead

	* * Standardized unit-conversion and expression-calculation for
	  spin buttons and channel buttons * Refactored SDPUNITS into
	  k3d::measurement * Code cleanup

2003-03-28 08:44  romainbehar

	* Little fix

2003-03-28 08:41  romainbehar

	* New Ruby port

2003-03-28 00:48  tshead

	* * Code cleanup

2003-03-28 00:22  tshead

	* * Added startup messages to the splash screen to help while-away
	  the time ... ;)

2003-03-27 23:33  tshead

	* * Created startup script for k3d binary * Initial implementation
	  of shader cache for storing compiled shaders

2003-03-27 09:14  romainbehar

	* Ruby API updates

2003-03-27 08:58  romainbehar

	* Fixed typo

2003-03-27 08:47  romainbehar

	* Ruby engine updates

2003-03-27 02:44  romainbehar

	* Fixed GTKMLContainer class

2003-03-27 00:49  tshead

	* * Restored full shader functionality * Code cleanup

2003-03-26 10:35  tshead

	* * Removed k3dIEventSource, k3dIEventObserver, k3dEventSource,
	  k3dEventObserver, k3dEventConnector, and related ... woohoo! *
	  Replaced k3dImageBuffer with k3d::basic_bitmap and friends *
	  Refactored k3dIBitmap into k3d::ibitmap

2003-03-26 08:34  romainbehar

	* New Ruby scripts

2003-03-26 08:32  romainbehar

	* More simple interface

2003-03-25 08:21  romainbehar

	* New style plugin

2003-03-25 02:57  romainbehar

	* Added std::vector header

2003-03-24 23:54  tshead

	* * Created k3d::hotkey and put it to use in k3dScriptButton and
	  k3dScriptMenuItem * Code cleanup

2003-03-24 06:43  romainbehar

	* Fixed typos

2003-03-24 06:41  romainbehar

	* Updated FAQ (BadValue explanation)

2003-03-24 01:55  romainbehar

	* Changed 1-based vertex indexes in meshes to 0-based

2003-03-23 23:08  tshead

	* * Code cleanup

2003-03-23 22:37  tshead

	* * Refactored SDPSL * Converted k3dShaderSelector to
	  k3d::shader_selector * Converted k3dShaderInfo to
	  k3d::shader_info * Converted k3dShaderArgumentsPage to
	  k3d::shader_arguments * Converted k3dShaderInstance to
	  k3d::shader_adaptor * Got rid of overloaded
	  iscript_engine::execute() and supporting functions * Created
	  k3d::ikeyboard and implementation to distribute hotkey events *
	  Serious code cleanup

2003-03-21 09:01  romainbehar

	* Refactored X writer to new plugin style

2003-03-21 05:36  romainbehar

	* Resurrected Path Extrusion tool and tutorial

2003-03-17 08:12  romainbehar

	* Added Pixie renderer

2003-03-15 17:54  tshead

	* * Made SigC::Object base virtual in k3d::with_undo to avoid
	  warnings / errors in k3d::object_adaptor * Moved k3dIChannel to
	  k3d::ichannel * Filled-in empty property descriptions

2003-03-15 15:33  tshead

	* * Fix: materials and lights defaulted to no shader - doh!

2003-03-15 14:11  tshead

	* * Build fix

2003-03-15 13:16  tshead

	* * Converted k3dScalarChannel and k3dColorChannel to k3d::data
	  using k3d::object_adaptor * Converted
	  k3dObjectInterfaceVariable<k3dIMaterial> to k3d::data using
	  k3d::object_adaptor * Exposed k3d::object_adaptor instances as
	  properties using newly-created k3d::property::object_proxy

2003-03-13 10:44  tshead

	* * Added show() method to k3d::iuser_interface, and updated
	  JavaScript object model to match (got rid of EditObject()
	  methods) * Cleaned-up debugging output in 3ds reader and Perl
	  engine (making it easier to follow the results of "make check") *
	  Created k3d::object_data wrapper for managing object references

2003-03-12 09:16  romainbehar

	* New Author

2003-03-10 12:35  tshead

	* * Code cleanup

2003-03-10 09:09  romainbehar

	* Added gulong variable support

2003-03-09 23:01  tshead

	* * Converted k3dVariable<double> to k3d::data<double> * Converted
	  k3dSpinButton to k3d::spin_button * Created
	  k3d::property::string_proxy() * Code cleanup

2003-03-09 22:43  tshead

	* * Flicker reduction by Ed Millard <emillard@direcway.com>

2003-03-05 02:38  romainbehar

	* Almost done with the Python engine :)

2003-03-04 09:46  romainbehar

	* Python Scripting Documentation

2003-03-04 07:58  romainbehar

	* Perl module draft from Brett W. McCoy

2003-03-04 07:45  romainbehar

	* Perl module draft from Brett W. McCoy

2003-03-04 05:23  romainbehar

	* Fixed Dinosaur tutorial

2003-03-04 03:50  romainbehar

	* Application module uses attributes, Children and Properties list
	  functions in CommandNode module

2003-03-03 13:13  tshead

	* * Build cleanup

2003-03-03 12:56  tshead

	* * Fix: Crash during document load if objects are created during
	  the LoadComplete() / init_complete() phase * Fix: Material
	  no-longer defaults to "k3d_plastic" when loading "--None--" as
	  the shader * Code cleanup

2003-03-03 08:48  romainbehar

	* Added properties access through command-node

2003-03-02 20:24  jdmoline

	* made more automake friendly

2003-03-02 14:57  tshead

	* * Text editor was (incorrectly) hard-coded to use the "scripts"
	  default path when opening files

2003-03-02 14:56  tshead

	* * Fixed ambiguity in k3d_spaceshiphull1 shader (missing cast to a
	  noise() call)

2003-03-02 14:55  tshead

	* * Moved French dictionary to translations directory

2003-03-02 09:41  jdmoline

	* made more automake like by removing custom targets

2003-03-01 14:58  jdmoline

	* fixed plib and ode defaults

2003-03-01 12:18  tshead

	* * Support for new Pixie render engine!

2003-02-28 08:40  romainbehar

	* Win32 build updates from Wladyslaw Strugala

2003-02-28 08:27  romainbehar

	* Moved PathPointCollection to Path

2003-02-28 08:01  romainbehar

	* New port from JavaScript

2003-02-28 06:02  romainbehar

	* 0 replaced with None

2003-02-28 04:57  romainbehar

	* Ported gear.python from JavaScript

2003-02-28 02:55  romainbehar

	* Point properties now accessed as attributes instead of
	  functions()

2003-02-27 08:58  romainbehar

	* Ported convert Python/Boost::any from JavaScript plugin

2003-02-27 08:52  romainbehar

	* Export points and paths from meshes

2003-02-27 02:58  romainbehar

	* Removed Location module

2003-02-26 23:30  tshead

	* * Created "Teapot" primitive, to take advantage of the procedural
	  teapot in Aqsis

2003-02-26 13:03  tshead

	* * Added human-readable description to properties and updated
	  command node inspector

2003-02-26 07:46  romainbehar

	* Removed ObjectCollection module

2003-02-26 07:26  romainbehar

	* Removed ObjectCollection module

2003-02-26 06:33  romainbehar

	* Refactored plugin to new style

2003-02-26 06:29  romainbehar

	* Refactored plugin to new style

2003-02-26 05:17  romainbehar

	* Regression fix

2003-02-26 03:36  romainbehar

	* GetMesh and GetCamera return None instead of raising an exception

2003-02-26 03:28  romainbehar

	* GetMesh and GetCamera return None instead of raising an exception

2003-02-26 01:43  tshead

	* * Created k3d::iproperty interface for generic name/value pairs *
	  Added property support to k3d::icommand_node * Complete refactor
	  of JavaScript engine object model to take advantage of properties

2003-02-25 05:42  romainbehar

	* Python scripting updates

2003-02-25 00:23  romainbehar

	* Every comparison operator returns boolean

2003-02-24 12:11  tshead

	* * Changed comparison operators to return bool

2003-02-24 07:16  romainbehar

	* Attempt to make an export script

2003-02-24 06:47  romainbehar

	* Python port of gtkmltest

2003-02-24 05:17  romainbehar

	* Added sdpAngleAxis comparison operator

2003-02-23 11:29  tshead

	* * Removed Atmosphere shader functionality from camera, and
	  created a dedicated Atmosphere object * Added RiPoints support to
	  k3d::ri::irender_engine

2003-02-23 11:26  tshead

	* * Added ridged multifractal displacement shader

2003-02-22 13:47  tshead

	* * More work on k3d::data and constraints

2003-02-22 12:47  tshead

	* * Added constraint policies to k3d::data

2003-02-22 06:17  blackburst

	* * Fixed wrapping of objects returned in lists.

2003-02-22 01:29  tshead

	* * Fix: objects pasted from the clipboard weren't constrained to
	  have unique names * Updated dino tutorial because of this

2003-02-21 22:49  tshead

	* * Fix: window position & size weren't saved if the application
	  was closed through the application frame

2003-02-21 22:45  tshead

	* * Fix: --with-graphviz option didn't default to "no" as it should
	  have

2003-02-21 14:57  tshead

	* * Added motion-blur checkbox to Transformer

2003-02-21 14:56  tshead

	* * Fixed some (not all) runtime Python errors

2003-02-21 14:53  tshead

	* * Added boost::any library

2003-02-21 14:52  tshead

	* * Re-implemented starfield shader and updated solar tutorial

2003-02-21 09:02  romainbehar

	* Anders wrote the Ruby scripting engine

2003-02-21 08:51  romainbehar

	* Python version of Innovation

2003-02-21 07:03  romainbehar

	* Converted plugin to the header-less style

2003-02-21 00:43  romainbehar

	* Added dinosaur tutorial

2003-02-20 15:12  tshead

	* * Version 0.3.0.4

2003-02-19 23:42  tshead

	* * Refactored k3dChooser as k3d::chooser * Code / build cleanup

2003-02-19 07:29  romainbehar

	* Soft Object no longer incomplete

2003-02-18 01:34  romainbehar

	* Added Mandrake 9 RPMs provider

2003-02-18 01:21  romainbehar

	* Mandrake 9 package specification, courtesy 'Tobbe at nyvalls dot
	  com'

2003-02-16 21:11  tshead

	* * More shadow map support

2003-02-16 16:49  tshead

	* * 1st iteration shadow-mapping capability

2003-02-16 15:03  blackburst

	* * Swapped order of components when converting sdpQuaternion to
	  dQuaternion and reverse.

2003-02-15 23:44  tshead

	* * Time refactoring cleanup

2003-02-15 19:27  tshead

	* * Got RenderMan animation rendering back up-and-running

2003-02-15 14:41  tshead

	* * Refactored k3dITime as k3d::idocument_time, with time
	  represented as an unbounded range of seconds instead of a
	  percentage

2003-02-14 12:16  blackburst

	* * Named the shader correctly

2003-02-12 02:16  romainbehar

	* Fixed PointsPolygons primitive

2003-02-11 14:09  blackburst

	* * Initial checkin

2003-02-11 09:11  romainbehar

	* Updated PointsPolygons implementation

2003-02-11 08:57  romainbehar

	* Material explanation

2003-02-11 06:32  blackburst

	* * Initial checkin

2003-02-11 05:25  romainbehar

	* Added autom4te.cache

2003-02-10 10:20  tshead

	* * Fix: shader channel shows up in hierarchy

2003-02-10 06:44  romainbehar

	* Implemented RiPointsPolygons

2003-02-10 00:37  tshead

	* * Fix: shader channels showing-up in hierarchy

2003-02-09 14:40  tshead

	* * k3dIDependencies to k3d::idependencies refactoring

2003-02-08 17:55  tshead

	* * Tutorial-enabled tree-selection and tree-visibility commands in
	  the hierarchy

2003-02-08 15:24  tshead

	* * Fix: editor rendering was calculating incorrect frame delta *
	  Ongoing ODE testing

2003-02-07 23:45  tshead

	* * Bugfix: Bender object did not actually transform geometry.

2003-02-06 20:10  tshead

	* * Added support for camera motion blur * Refactored
	  k3dITimeServer as k3d::itime_observer * Created TimeWarp object

2003-02-06 01:23  tshead

	* * Code cleanup

2003-02-05 23:42  tshead

	* * First-iteration RenderMan motion-blur capabilities *
	  First-iteration ODE-library plugins

2003-02-05 09:40  romainbehar

	* Updated binary packaging process

2003-02-04 04:51  blackburst

	* * Updated the release version that the documentation in CVS cover

2003-02-04 01:09  romainbehar

	* Development tests

2003-02-04 01:07  romainbehar

	* Moved to k3d/tests/

2003-02-03 23:24  tshead

	* * Converted k3dVariable<sdpString> to k3d::data * Refactored
	  k3dEditControl as k3d::edit_control

2003-02-03 19:30  tshead

	* * Win32 patch by Wladyslaw.

2003-02-03 19:22  tshead

	* * Win32 patch by Wladyslaw.

2003-02-03 11:38  tshead

	* * Win32 patches by Wladyslaw.

2003-02-03 11:37  tshead

	* * PushEditing / PopEditing cleanup.

2003-02-03 11:33  tshead

	* * Updated k3d_waterlight to suck less ;)

2003-02-02 17:44  tshead

	* * Additional gcc 2.95 fix

2003-02-02 15:37  blackburst

	* * Updated Python and Ruby documentation

2003-02-02 15:36  blackburst

	* * Updated scripts

2003-02-02 15:35  blackburst

	* * Sync'ed Ruby to mirror JavaScript API.

2003-02-02 15:34  blackburst

	* * Sync'ed Python to mirror JavaScript API

2003-02-02 13:49  tshead

	* * Fix: problem building bezier.h with gcc 2.95

2003-02-01 17:57  tshead

	* * Updated scripting documentation

2003-02-01 17:12  tshead

	* * Moved user-interface-specific functionality out of
	  k3dIApplication and into k3d::iuser_interface * Updated
	  implementations and scripting engine to match * Put the new
	  capabilities to work with additional scripting in the UI

2003-01-31 14:33  blackburst

	* * Build cleanup

2003-01-31 01:31  romainbehar

	* v 0.2.5 updates

2003-01-30 14:09  tshead

	* * Win32 build update by Wladyslaw

2003-01-30 12:27  tshead

	* * Version 0.2.5.0

2003-01-30 12:20  tshead

	* * Release 0.2.5.0 * Removed experimental module * Removed
	  PathExtrude, Revolve, Polygonizer, and SoftObject objects

2003-01-30 12:16  tshead

	* * Removed experimental module * Version 0.3.0.0

2003-01-30 11:39  tshead

	* * Version 0.3.0.0

2003-01-30 11:35  tshead

	* * Release 0.2.5

2003-01-29 20:01  tshead

	* * Copyright notice updates

2003-01-29 12:50  tshead

	* * Removed non-functional PathExtrude tutorial (for non-functional
	  PathExtrude tool!)

2003-01-29 04:40  romainbehar

	* Updated copyright to 2003

2003-01-29 04:34  romainbehar

	* Updated copyright to 2003

2003-01-29 04:29  romainbehar

	* Updated Copyright to 2003

2003-01-28 23:41  tshead

	* * Fix: missing control-point constraints in Bezier Channel *
	  Documentation cleanup

2003-01-28 09:24  tshead

	* * Fix: serialization problem with Bezier Channel * ParticleBurst
	  shader wasn't automatically compiled * ParticleBurst was rendered
	  without transformations * Temporarily disabled incomplete object
	  types

2003-01-28 02:47  romainbehar

	* Updated Copyright to 2003

2003-01-28 02:09  romainbehar

	* Updated Copyright to 2003

2003-01-27 09:46  romainbehar

	* Updated Copyright to 2003

2003-01-26 23:27  tshead

	* * Better error message when attempting to run a non-existent
	  tutorial

2003-01-26 22:01  tshead

	* * Build cleanup

2003-01-26 20:36  tshead

	* * Fix: crash when Welding a standard mesh cone * Updated user
	  docs to match CSG refactoring * Cone, Cylinder, Disk, Sphere, and
	  Torus objects are rendered with correct shading / material in
	  editor view

2003-01-26 17:24  jdmoline

	* removed entry for boolean tutorial

2003-01-26 12:09  tshead

	* * Created CSGSolid object, renamed BooleanOperator to CSGBoolean,
	  and cleaned-up k3dIRiRender to conform better to the RenderMan
	  CSG model.  * Replaced the minimalist boolean_rendering tutorial
	  with the more comprehensive csg_rendering.

2003-01-26 09:59  jdmoline

	* minor code cleanup

2003-01-25 23:45  jdmoline

	* code cleanup

2003-01-25 19:22  blackburst

	* * Added rendering capabilities

2003-01-25 19:22  blackburst

	* * Added rendering capabilities * Added methods returning paths

2003-01-25 19:20  blackburst

	* * Updated JavaScript, Python and Ruby documentation

2003-01-25 15:29  tshead

	* * Tutorial-enabled the "Reset Center", "Geometry Average Center"
	  and "Geometry Extents Center" buttons in tools * Added
	  regression-test for center buttons when there is no selected
	  geometry

2003-01-25 15:26  tshead

	* * Updated hierarchy control menu to allow <k3dscriptmenuitem>

2003-01-24 23:33  tshead

	* * Added JavaScript support for rendering * Code cleanup

2003-01-24 19:06  blackburst

	* * Adding document and object context * Implementing parent
	  reference properly

2003-01-24 19:03  blackburst

	* * Implementing parent refering correctly

2003-01-24 17:40  blackburst

	* * Added (experimental) GUI Class to Python * Commented out the
	  GetFilePath documentation for JavaScript

2003-01-24 17:38  blackburst

	* * Added (experimental) GUI Class

2003-01-24 13:59  blackburst

	* * Added document and object context

2003-01-24 05:21  romainbehar

	* Updated mesh paths

2003-01-23 22:52  tshead

	* * Rollback

2003-01-23 20:28  tshead

	* * Rollback

2003-01-23 19:17  blackburst

	* * Cleanup

2003-01-23 17:30  blackburst

	* * Added Application.GetFilePath() and Document.Path to JavaScript

2003-01-23 17:24  blackburst

	* * Adding attribute relief

2003-01-23 17:23  blackburst

	* * Added relief attribute

2003-01-23 17:19  blackburst

	* * Added Application.GetFilePath() and Document.Path to JavaScript
	  * Work in progress to create scriptable toolbar

2003-01-23 17:16  blackburst

	* * Added Application.GetFilePath() and Document.Path to JavaScript
	  * Work in progress to create scripted toolbar

2003-01-23 17:14  tshead

	* * Tutorial-enabled k3dScriptButton and k3dScriptMenuItem

2003-01-23 16:17  tshead

	* * Code cleanup to fix broken tutorials

2003-01-23 13:09  blackburst

	* * Fixed missing k3dScriptButtonBase

2003-01-23 12:35  tshead

	* * Build fix.

2003-01-23 12:28  blackburst

	* * Updated to use k3dScriptMenuItem to create new document

2003-01-23 12:11  blackburst

	* * Updated to be controled by tutorials

2003-01-23 12:06  blackburst

	* * Updated to use k3dScriptMenuItem to create new document

2003-01-23 12:05  blackburst

	* * Changed to use the k3dScriptMenuItem to open new documents

2003-01-23 12:04  tshead

	* * Changed k3dIObject::InitComplete() to
	  k3dIObject::init_complete(), and changed return value from
	  sdpResult to bool.  * Updated geometry-modification tools to
	  bail-out in init_complete() if there is no geometry selected.  *
	  Error dialogs are non-modal.	* Updated k3dScriptButton to handle
	  global, document, and object contexts.

2003-01-23 12:01  blackburst

	* * Changed New Document to be a k3dScriptMenuItem as an example

2003-01-23 08:50  blackburst

	* * Initial checkin of some basic tool and object icons

2003-01-23 08:29  romainbehar

	* Removed useless spaces :)

2003-01-23 01:33  romainbehar

	* More contributions

2003-01-23 01:31  romainbehar

	* Added spaceship_hull tutorial

2003-01-22 21:59  tshead

	* * Updated document-selection boilerplate in sample scripts

2003-01-22 21:18  tshead

	* * Build 29

2003-01-22 20:55  tshead

	* * Added "New Document" toolbar button to Application Window,
	  using k3dscriptbutton.  Neat! * Picked-up some nicer toolbar
	  buttons from xemacs.

2003-01-22 17:42  tshead

	* * Documented JavaScript Application.Documents property

2003-01-22 15:54  blackburst

	* * Leading whitespace of inline scripts get trimmed

2003-01-22 15:51  blackburst

	* * Initial checkin of k3dScriptMenuItem

2003-01-22 11:39  tshead

	* * Patch by Patrick Mauritz to allow builds outside the source
	  tree <oxygene@studentenbude.ath.cx>

2003-01-22 09:51  blackburst

	* * Initial checkin of k3dScriptButton * Removed k3dCommandButton

2003-01-22 09:24  tshead

	* * Tutorial tweaking

2003-01-22 07:30  romainbehar

	* Spaceship Hull tutorial (Bart Janssens)

2003-01-22 05:29  romainbehar

	* Scripting contexts explanations

2003-01-22 04:48  romainbehar

	* New context changes applyied

2003-01-21 19:30  tshead

	* * k3dDialog refactoring - consolidated redundant "OnClose()" and
	  "OnCancel()" functionality * Got rid of command-node commands
	  defined in interfaces * Ongoing separation of user interface from
	  implementation

2003-01-21 18:56  blackburst

	* * Added URLs

2003-01-21 18:48  blackburst

	* * Initial checkin of k3dCommandButton

2003-01-21 07:22  blackburst

	* * Added focus in and out events for current value.

2003-01-21 07:20  blackburst

	* * Added commandnodes and commands.

2003-01-21 05:04  romainbehar

	* Resurrection attempt

2003-01-21 04:41  romainbehar

	* Scripting updates

2003-01-20 15:54  tshead

	* * Bugfix: camera viewport RMB clicks were not recorded in
	  tutorials

2003-01-20 14:32  tshead

	* * Build 27

2003-01-20 14:30  tshead

	* * Added --gui option to k3d application, so the GUI can be
	  disabled for server use

2003-01-20 14:28  tshead

	* * Added environment variable info to man page

2003-01-20 05:29  blackburst

	* Corrected typo in manual url.

2003-01-20 00:13  tshead

	* * Additional regression tests for Bezier Channel objects

2003-01-19 17:02  tshead

	* * Ongoing Bezier Channel refactoring

2003-01-19 16:37  blackburst

	* * Constrol the number of values display with a 'numvalues'
	  attribute

2003-01-19 14:38  blackburst

	* * Improve how the keyframe function update control points.

2003-01-19 12:04  blackburst

	* * Added keyframe functionality to channel button.

2003-01-19 11:41  blackburst

	* Corrected document root node.

2003-01-19 07:13  blackburst

	* * Added 'Manual' menu entry.	* Updated the 'K-3D Online' url.

2003-01-19 01:43  tshead

	* * Ongoing Bezier Channel refactoring

2003-01-18 18:54  blackburst

	* * Applied Bart Janssens patch for Constraint object.

2003-01-18 17:33  blackburst

	* * Removed -V option from docbook2html.

2003-01-18 17:28  blackburst

	* * Initial checkin of man page.

2003-01-18 10:25  tshead

	* * More channel refactoring

2003-01-18 08:49  blackburst

	* Added documentation of file fiormats.

2003-01-18 08:48  blackburst

	* Added documentation of file formats.

2003-01-18 07:41  blackburst

	* Added figures to tutorial chapter.

2003-01-18 07:39  blackburst

	* Added Ruby documentation.

2003-01-17 18:45  blackburst

	* Fixed broken tutorial, removed erroneous newline in literal.

2003-01-17 18:43  blackburst

	* Expanded copyright year.

2003-01-17 18:42  blackburst

	* Added contributer Patrick Mauritz name.

2003-01-17 16:47  blackburst

	* * Changed configuration of Python module.

2003-01-17 16:42  blackburst

	* * Changed default for Python configuring * Fixed inclusion paths

2003-01-17 15:44  tshead

	* * Bezier Channel (formerly Channel) refactoring.  * Made
	  k3dIDependencies a required (instead of optional) argument to
	  k3dIPersist::Save().	* Code cleanup.

2003-01-17 15:28  blackburst

	* Changed casting method.

2003-01-17 15:25  blackburst

	* Added missing method.

2003-01-17 15:22  blackburst

	* * Added missing function.

2003-01-17 15:20  blackburst

	* * Initial commit of Ruby Script Engine

2003-01-17 15:15  blackburst

	* * Initial commit of Ruby Script Engine

2003-01-17 15:12  blackburst

	* * Initial commit of Ruby Script Engine

2003-01-17 15:07  blackburst

	* * Initial commit of Ruby Script Engine

2003-01-15 14:23  jdmoline

	* simplified

2003-01-14 10:14  blackburst

	* * Cleaned up python build.

2003-01-14 10:11  blackburst

	* Fixed so the accelerator to the play script work, it's now
	  Ctrl-<spacebar>

2003-01-14 10:06  blackburst

	* Yet another contributor.

2003-01-14 09:54  blackburst

	* * Cleaned up the Python checking.  * Improved menu entries
	  messages.

2003-01-14 04:56  blackburst

	* Corrected validate error.

2003-01-14 02:26  romainbehar

	* Yet another contributor :)

2003-01-13 19:26  tshead

	* * Fixed broken regression test

2003-01-13 15:59  blackburst

	* Removed unused macro.

2003-01-13 15:56  blackburst

	* Added RubyEngine ID.

2003-01-13 15:54  blackburst

	* Yet another author.

2003-01-13 13:44  tshead

	* * Removed references to Application.ActiveDocument in scripting
	  documentation * Build cleanup

2003-01-13 07:24  blackburst

	* Added swedish translation.

2003-01-13 07:17  blackburst

	* Updated URL for install instructions.

2003-01-13 07:12  blackburst

	* Minor cosmetic modification.

2003-01-13 06:29  blackburst

	* Changed configuration of menu entries to be controled by enable.

2003-01-13 06:15  blackburst

	* Changed the menu installation to be controled by enable
	  arguments.

2003-01-13 02:15  tshead

	* * Converted "Position Constraint" object to more general-purpose
	  "Constraint" (handles position, orientation, and scale) - Bart
	  Janssens <bart.janssens@polytechnic.be> * Added "Play from cursor
	  position" option to Tutorial Recorder (a big time-saver when
	  tweaking tutorials) * Created heavily-templated k3d::bezier()
	  function, which benchmarks 2-3 times faster than traditional
	  sdpBezier()!

2003-01-13 01:22  tshead

	* * Fix: geometry_selection tutorial was broken by modifications to
	  camera navigation

2003-01-12 22:38  tshead

	* * Updated "polygons" tutorial now that "Polygon Orientation" is
	  off by default

2003-01-12 16:05  tshead

	* * Portability update for shader installation

2003-01-12 14:41  blackburst

	* Changed installation of menu entries to only be done when
	  installing without setting prefix.

2003-01-12 12:08  blackburst

	* Corrected some more.

2003-01-12 10:53  blackburst

	* Improved menu enty installation.

2003-01-12 08:22  blackburst

	* Corrected erroneus code introduced when nicefying.

2003-01-12 05:39  blackburst

	* Added gneneration of documentation Makefile.am

2003-01-12 00:45  tshead

	* * MingW build

2003-01-11 14:00  blackburst

	* * Initial checkin of swedish translation.

2003-01-11 13:58  blackburst

	* * Intial checkin of swedish translation.

2003-01-11 13:56  blackburst

	* * Intitial checking of swedish translation.

2003-01-11 13:54  blackburst

	* Changed default icon (to mascot) and made it transparent.

2003-01-11 12:08  tshead

	* * Added regression test for bug 571810

2003-01-11 11:18  tshead

	* * Bugfix - 571810 - segfault after creating an object, undo-ing
	  the creation, switch camera view, move mouse over camera
	  viewport.

2003-01-11 11:16  tshead

	* * Updated desktop installation to add an icon to Ximian as well
	  as Gnome menus

2003-01-11 09:45  blackburst

	* Changed name to complie with GNOME HIG.

2003-01-11 06:47  blackburst

	* Added subtitle and version.

2003-01-11 06:41  blackburst

	* Hide error message when jade can't resolve host.

2003-01-11 06:05  blackburst

	* Added menu entry.

2003-01-11 05:57  blackburst

	* Added menu entry.

2003-01-10 22:15  tshead

	* * Installation shaders directory is world-writable * Updated
	  documentation to match UI mods

2003-01-10 19:12  blackburst

	* Initial check in of new icons.

2003-01-10 19:10  blackburst

	* Removed since not added as binaries.

2003-01-10 18:57  blackburst

	* Initial commit of more icons.

2003-01-10 11:21  blackburst

	* Added real validation.

2003-01-10 05:01  blackburst

	* Small improvements regarding document generation.

2003-01-10 01:26  tshead

	* * Eliminated ActiveDocument * Moved Tools and Objects collections
	  from Application Window to Document Window * Converted
	  k3dIScriptEngine to k3d::iscript_engine * Added Document and
	  Object execution contexts to k3d::iscript_engine * Fixed weird
	  behavior in Hierarchy context menu

2003-01-09 18:41  jdmoline

	* fixed a few typos

2003-01-09 18:04  jdmoline

	* added include for ostream_iterator

2003-01-09 17:57  jdmoline

	* removed misplaced <para> tag

2003-01-09 04:36  romainbehar

	* Fixed typos

2003-01-09 00:12  blackburst

	* * Integrated documentation into build system.

2003-01-09 00:08  blackburst

	* * Integrated documentation into build system.

2003-01-09 00:02  blackburst

	* * Integrated documentation into build system.

2003-01-08 23:50  blackburst

	* * Integrated documentation into build system.

2003-01-08 06:59  blackburst

	* Updated authors.

2003-01-08 06:31  blackburst

	* Corrected accidently commited changes.

2003-01-08 06:26  blackburst

	* Added images to splash and about.

2003-01-08 06:20  blackburst

	* Added image to splash and about.

2003-01-08 05:58  blackburst

	* Added the missing hyperboloid.

2003-01-08 01:25  romainbehar

	* Yet another contributor

2003-01-07 16:56  tshead

	* * Fix: build problems with gcc 2.95 * Tweak: rename object dialog
	  opens with new name field selected and focused.  OK button is
	  defaulted.

2003-01-07 11:49  blackburst

	* The documentation is now covered by GNU Free Document License.

2003-01-07 11:47  blackburst

	* Remove 'poscript' directory when PDF or PS has been generated.

2003-01-07 03:17  romainbehar

	* Fixed typos, additional information

2003-01-07 00:52  tshead

	* * Patch - shaders are only recompiled at the beginning of an
	  animation instead of every frame - Gregory Junker
	  <gjunker@cinci.rr.com>

2003-01-06 22:17  tshead

	* * Created a K-3D logo project and added it to the share/
	  directory

2003-01-06 21:14  blackburst

	* * Added chapterinfo where such was missing.

2003-01-06 21:10  blackburst

	* Changed copyright holder to Timothy M. Shead, probably better
	  legally.

2003-01-06 18:58  tshead

	* * Moved many implementation classes from "application" to
	  "k3dsdk" * Code cleanup for k3dsdk embedding

2003-01-06 15:10  blackburst

	* Added 'Module:' field in plugin synopsis.

2003-01-06 15:08  blackburst

	* Added JavaScript documentation.

2003-01-06 15:06  blackburst

	* Changed ObjectCollectionClass.CreateObject() to
	  ObjectCollectionClass.Create()

2003-01-06 15:03  blackburst

	* Changed so the CPythonObject will always be stored in
	  'self.object'

2003-01-06 13:13  blackburst

	* Updated authors.

2003-01-06 13:11  blackburst

	* Reformatted the license text.

2003-01-06 12:12  blackburst

	* Added GPL license.

2003-01-06 08:16  romainbehar

	* Fixed typos

2003-01-06 03:19  romainbehar

	* Usual update

2003-01-05 12:47  tshead

	* * Created "Position Constraint" object

2003-01-05 08:36  blackburst

	* Updated method documentation strings.

2003-01-05 08:33  blackburst

	* Updated the Python documentation.

2003-01-05 06:12  blackburst

	* Added GetCamera method in CPythonObject.

2003-01-05 06:11  blackburst

	* Replaced the multiline litteral and added GetCamera method in
	  ObjectClass.

2003-01-05 06:09  blackburst

	* Added Camera property in CJavaScriptObject.

2003-01-04 17:57  blackburst

	* Removed deprecated 'Editable' related documentation.

2003-01-04 17:33  blackburst

	* Filled in some figure descriptions.

2003-01-04 15:57  tshead

	* * Replaced all instances of k3dVariable<bool> with k3d::data *
	  Removed obsolete k3dIEditable support from JavaScript and Python
	  engines * Updated sample scripts * Code cleanup

2003-01-04 10:50  jdmoline

	* added share/icons/k3d.png, which can be used as an icon for
	  gnome.

2003-01-04 10:48  jdmoline

	* initial checkin

2003-01-04 09:51  jdmoline

	* corrected situation where if --with-sigc-1-2 is specified and
	  both 1.2.x and 1.0.x are installed 1.0.x is used instead of
	  1.2.x.  now correctly tries to use 1.2.x first if this options is
	  specified

2003-01-04 00:48  tshead

	* * Undo-enabled smooth shading / flat shading * Undo-enabled weld
	  / unweld * Undo-enabled flip orientation * Undo-enabled advance
	  firstpoint * k3dIEditable cleanup * Code cleanup

2003-01-02 18:02  tshead

	* * Ongoing k3d::data conversion * Created k3d::persistence
	  framework for serializing k3d::data automatically * Relabeled
	  some UI elements as "BMRT Specific"

2002-12-29 12:13  blackburst

	* Added figures that shows the result of various operations.

2002-12-29 08:11  blackburst

	* Fleshed out View Window and Document Window with content from the
	  tutorials.

2002-12-29 08:09  blackburst

	* Updated.

2002-12-29 08:08  blackburst

	* Added the removal of 'root.junk' directory when running 'make
	  html'.

2002-12-26 16:18  blackburst

	* Added the user_reference.pdf

2002-12-26 15:17  blackburst

	* Added K-3D's Python API reference.

2002-12-26 15:06  blackburst

	* Added PDF option.

2002-12-23 12:29  tshead

	* * Fix: build problems with k3d::check_button

2002-12-23 09:25  jdmoline

	* Added private copy constructor to class data, because we do not
	  want the compiler generated one.  It would not properly handle
	  m_data, which is a reference.

2002-12-23 00:24  tshead

	* * Build cleanup

2002-12-22 23:12  tshead

	* * Build 16

2002-12-22 23:10  tshead

	* * Added Python scripting engine by Anders Dahnielson
	  <anders@dahnielson.com>

2002-12-22 23:09  tshead

	* * Refactored k3dCheckButton into k3d::check_button::control and
	  k3d::check_button::idata

2002-12-22 23:09  tshead

	* * Build fix - "reporting_bugs" tutorial wasn't getting installed

2002-12-22 19:13  tshead

	* * Documentation build update

2002-12-22 09:46  jdmoline

	* changed the way conditional compilation is done for experimental,
	  freetype2, and plib

2002-12-20 11:41  tshead

	* * Initial checkin of DocBook documentation, contributed by Anders
	  Dahnielson

2002-12-20 01:17  tshead

	* * Initial checkin of new developer's guide, user reference, and
	  UML documentation

2002-12-19 12:21  tshead

	* * Build fix for gcc 2.95

2002-12-18 22:52  tshead

	* * More refinements to the release target

2002-12-18 22:24  tshead

	* * More work on release target

2002-12-18 22:14  tshead

	* * Created "tag" and "release" targets for maintainers

2002-12-18 19:50  tshead

	* * Workaround to get k3d::data building under gcc 2.95

2002-12-18 10:58  tshead

	* * Build cleanup

2002-12-18 05:05  romainbehar

	* Fixed typo

2002-12-18 04:43  romainbehar

	* A few more contributions

2002-12-17 23:06  tshead

	* * Build system cleanup, including patch submitted by
	  oxygene@studentenbude.ath.cx to permit builds outside the srcdir

2002-12-17 00:43  tshead

	* * Got rid of "no public destructor and no friends" warnings in
	  application.	* Refactored k3dIMouseEventObserver into
	  k3d::imouse_event_observer.  * Cleanup of k3dWindowGeometryStore.
	  * Tutorial-enabled the Application > Tools > Options dialog and
	  redesigned it for modeless operation.  * Fixed
	  apparently-longstanding bug that prevented mouse movement in
	  Camera viewports from being recorded for tutorials.  * Updated
	  share/netpbm.conf file so that exported TIFF files are always
	  24-bit color files (otherwise, the pnmtotiff filter will analyze
	  images for the number of colors they contain and write
	  reduced-bit-depth images where possible, which few RenderMan
	  engines will read).  * Created "Reporting Bugs" tutorial.

2002-12-14 12:07  jdmoline

	* added comment explaing use of private destructor

2002-12-14 10:47  jdmoline

	* commented out unused variables

2002-12-13 22:56  tshead

	* * Refactored k3d::data to a policy-based design, with policies
	  for naming, signalling, undo-capability, and underlying storage
	  mechanism * More event-to-sigc++ refactoring * Cruft cleanup

2002-12-10 21:30  tshead

	* * sigc++ / undo / redo refactoring around k3dITransform (now
	  k3d::itransform) interface * Added --with-graphviz configure
	  option for generating fancy source doc graphs from doxygen

2002-12-10 16:36  tshead

	* * Began creating UML documentation

2002-12-08 22:58  tshead

	* * URLs are highlighted & hot in the Tutorial and Tutorial
	  Recorder dialogs.  * Tutorial-enabled the Blackbox Recorder
	  dialog.  * Tutorial Recorder dialog uses
	  k3dIScriptEngine::BlessScript() whenever starting a new tutorial.

2002-12-08 00:27  tshead

	* * Fix: tutorial grease-pencil effect was black on non-24-bit
	  displays * Fix: tutorial grease-pencil effect didn't always
	  line-up properly with widgets * Fix: couldn't cancel a tutorial *
	  Feature: clicking on a UI node in the Command Node Inspector
	  highlights it (good for adding grease-pencil effect when
	  recording tutorials)

2002-12-07 00:55  tshead

	* * command node refactoring * sigc++ refactoring * undo / redo
	  refactoring

2002-12-05 10:46  tshead

	* * sigc++ and undo/redo refactoring for channels

2002-12-04 15:23  tshead

	* * Added warning & override for building against libsigc++ 1.2

2002-12-03 12:50  tshead

	* * Fixed gcc 2.95 compile problems with k3dIStateRecorder * Fixed
	  link-error with CObjectInfo * Fixed problem sdptypes regression
	  test that was (incorrectly) failing

2002-12-03 11:04  tshead

	* * Build update

2002-12-02 18:54  tshead

	* * Added script recognition tests to regression suite * Continued
	  adding tutorials to regression suite * Code cleanup

2002-12-02 14:30  tshead

	* * Added an overridable configuration check and warning for gcc
	  2.96

2002-12-02 10:34  tshead

	* * Implemented script-language identification capability * Added
	  magic tokens to sample scripts, tutorials, and regression tests *
	  #include path cleanup in k3dsdk

2002-12-01 17:59  tshead

	* * Build cleanup

2002-12-01 17:58  tshead

	* * Updated build so bootstrapping doesn't cause a major rebuild

2002-12-01 14:57  tshead

	* * Build cleanup

2002-11-30 17:33  tshead

	* * Added support for libsigc++ version 1.2

2002-11-29 22:50  tshead

	* * Refactored k3dIHierarcy, k3dIStateRecorder,
	  k3dIObjectCollection to use sigc++ signals instead of K-3D
	  events.  * Moved standard k3dIObjectCollection,
	  k3dIStateRecorder, and k3dIStateChangeSet implementations into
	  k3dsdk, hidden behind factory methods.  * Put k3d::data and
	  k3d::undoable to work within standard k3dIHierarchy and
	  k3dIObjectCollection implementations.  * Began adding tutorials
	  to regression suite.	* Updated doxygen label and version.

2002-11-28 01:04  romainbehar

	* Added -d option to CVS update

2002-11-26 21:08  tshead

	* * Created distribution directory for scripts, RPM specs, Debian
	  specs, etc. related to distributing the software

2002-11-26 21:03  tshead

	* * Refactored k3dIStateRecorder to use libsigc++ signals instead
	  of K-3D events * Hid standard k3dIStateRecorder implementation
	  behind a class factory

2002-11-26 21:01  tshead

	* * Optional plib and freetype libraries linked to their respective
	  plugin modules instead of the application * More
	  sensible/consistent plugin module names

2002-11-26 20:58  tshead

	* * Fix: Couldn't change the default text in Text tool * Fix:
	  Default text tool font caused frozen UI

2002-11-26 20:34  jdmoline

	* changed the flag passed to freetype-config for K3D_FREETYPE2_LIBS

2002-11-26 11:04  tshead

	* * Fixed experimental module build

2002-11-26 01:00  tshead

	* * Added header-file installation to makefiles

2002-11-25 21:51  tshead

	* * Updated default command-line for Aqsis for a better out-of-box
	  experience * Updated k3d_pointlight shader default intensity to
	  better match the OpenGL display

2002-11-25 21:48  tshead

	* * Removed obsolete scripts from utility directory

2002-11-25 18:40  jdmoline

	* removed deprecated strstream and replaced with sstream

2002-11-25 18:35  jdmoline

	* removed deprecated strstream and replaced with sstream

2002-11-25 18:25  jdmoline

	* Renamed because file extension .in is no longer prefered. Old
	  extension triggers older autoconf to be used on many systems. Old
	  autoconf resulted in undefined macros errors.

2002-11-25 17:27  tshead

	* * Updated installation and todo files

2002-11-25 16:01  tshead

	* * Initial checkin of unified source tree

2002-11-25 15:57  tshead

	* * Initial checkin of unified source tree

2002-11-25 12:37  tshead

	* * Inital checkin of unified source tree

2002-11-25 12:23  tshead

	* * Initial checkin of unified source tree

2002-11-25 12:02  tshead

	* * Initial checkin of unified source tree

